Index: /trunk/adm/guides/makefile
===================================================================
--- /trunk/adm/guides/makefile	(revision 8)
+++ /trunk/adm/guides/makefile	(revision 9)
@@ -5,5 +5,4 @@
 #
 # generation of documentations from XML files in HTML and wiki forms
-#
 #
 # FILES
@@ -28,9 +27,6 @@
 ircaam
 
-DIRBASE = \
-/usr/home/fplod/incas/$(PRODUCT)/$(PRODUCT)_ws/
-
 DIRSRC = \
-$(DIRBASE)/adm/guides/
+./
 
 DIRTMP = \
@@ -38,5 +34,5 @@
 
 DIRWWW = \
-$(DIRBASE)/doc/guides/
+../../doc/guides/
 
 DIRWIKI = \
Index: /trunk/adm/makefile
===================================================================
--- /trunk/adm/makefile	(revision 8)
+++ /trunk/adm/makefile	(revision 9)
@@ -4,5 +4,5 @@
 # ======
 #
-# génération des doc ircaam
+# génération des manuels ircaam
 #
 # FILES
@@ -14,9 +14,7 @@
 # ====
 #
-# ++ menage des fichiers intermediares latex dans DIRWWW
-#
 # ++ amélioration de la page index
 #
-# ++ faire un livre avec tout
+# ++ lien avec les guides
 #
 # EVOLUTIONS
@@ -42,14 +40,11 @@
 
 PRODUCTNAME = \
-$$(echo $(PRODUCT) | tr -s [:lower:] [:upper:])
+$$(echo $(PRODUCT) | tr [:lower:] [:upper:])
 
 SUBPRODUCT = \
 ircaam_ws
 
-DIRBASE = \
-/usr/home/fplod/incas/$(PRODUCT)/$(SUBPRODUCT)/
-
 DIRSRC = \
-$(DIRBASE)/
+../src/
 
 DIRTMP = \
@@ -57,5 +52,5 @@
 
 DIRWWW = \
-$(DIRBASE)/doc/
+../doc/
 
 URLPUBLISH = \
@@ -63,9 +58,9 @@
 
 LIST_SRCSH = \
-$(DIRSRC)/src/$(PRODUCT)_profile.sh \
-$(DIRSRC)/src/dlogd.sh \
-$(DIRSRC)/src/elogd.sh \
-$(DIRSRC)/src/plogd.sh \
-$(DIRSRC)/src/tlogd.sh
+$(DIRSRC)/$(PRODUCT)_profile.sh \
+$(DIRSRC)/dlogd.sh \
+$(DIRSRC)/elogd.sh \
+$(DIRSRC)/plogd.sh \
+$(DIRSRC)/tlogd.sh
 
 .PHONY : \
@@ -170,10 +165,10 @@
 $(DIRWWW)/manuals/html/many/index.html : \
 $(DIRTMP)/index.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
 $(DIRWWW)/manuals/html/one/index.html : \
 $(DIRTMP)/$(PRODUCT)_manuals.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -184,5 +179,5 @@
 $(DIRTMP)/$(PRODUCT)_manuals.tex : \
 $(DIRTMP)/$(PRODUCT)_manuals.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -227,5 +222,5 @@
 $(DIRWWW)/manuals/html/many/$(PRODUCT)_profile.sh.html : \
 $(DIRTMP)/$(PRODUCT)_profile.sh.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -236,14 +231,14 @@
 $(DIRTMP)/$(PRODUCT)_profile.sh.tex : \
 $(DIRTMP)/$(PRODUCT)_profile.sh.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
 $(DIRTMP)/$(PRODUCT)_profile.sh.rst : \
-$(DIRSRC)/src/$(PRODUCT)_profile.sh
+$(DIRSRC)/$(PRODUCT)_profile.sh
 	@extract_rst.sh -i $< -l sh -o $@
 
 $(DIRWWW)/manuals/html/many/dlogd.sh.html : \
 $(DIRTMP)/dlogd.sh.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -255,14 +250,14 @@
 $(DIRTMP)/dlogd.sh.tex : \
 $(DIRTMP)/dlogd.sh.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
 $(DIRTMP)/dlogd.sh.rst : \
-$(DIRSRC)/src/dlogd.sh
+$(DIRSRC)/dlogd.sh
 	@extract_rst.sh -i $< -l sh -o $@
 
 $(DIRWWW)/manuals/html/many/elogd.sh.html : \
 $(DIRTMP)/elogd.sh.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -274,14 +269,14 @@
 $(DIRTMP)/elogd.sh.tex : \
 $(DIRTMP)/elogd.sh.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
 $(DIRTMP)/elogd.sh.rst : \
-$(DIRSRC)/src/elogd.sh
+$(DIRSRC)/elogd.sh
 	@extract_rst.sh -i $< -l sh -o $@
 
 $(DIRWWW)/manuals/html/many/plogd.sh.html : \
 $(DIRTMP)/plogd.sh.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -293,14 +288,14 @@
 $(DIRTMP)/plogd.sh.tex : \
 $(DIRTMP)/plogd.sh.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
 $(DIRTMP)/plogd.sh.rst : \
-$(DIRSRC)/src/plogd.sh
+$(DIRSRC)/plogd.sh
 	@extract_rst.sh -i $< -l sh -o $@
 
 $(DIRWWW)/manuals/html/many/tlogd.sh.html : \
 $(DIRTMP)/tlogd.sh.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -312,8 +307,8 @@
 $(DIRTMP)/tlogd.sh.tex : \
 $(DIRTMP)/tlogd.sh.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
 $(DIRTMP)/tlogd.sh.rst : \
-$(DIRSRC)/src/tlogd.sh
-	@extract_rst.sh -i $< -l sh -o $@
+$(DIRSRC)/tlogd.sh
+	@extract_rst.sh -i $< -l sh -o $@