Index: /trunk/adm/guides/svnbasiccommands.xml
===================================================================
--- /trunk/adm/guides/svnbasiccommands.xml	(revision 11)
+++ /trunk/adm/guides/svnbasiccommands.xml	(revision 12)
@@ -64,5 +64,5 @@
 
 <screen>
- <prompt>$</prompt> <userinput>svn co svn+ssh://<replaceable>YOUR_LOGIN</replaceable>@forge.ipsl.jussieu.fr/ipsl/forge/projets/&project;/svn/trunk ~/&project;</userinput>
+ <prompt>$</prompt> <userinput>svn checkout svn+ssh://<replaceable>YOUR_LOGIN</replaceable>@forge.ipsl.jussieu.fr/ipsl/forge/projets/&project;/svn/trunk ~/&project;</userinput>
 </screen>
 </para>
Index: /trunk/adm/makefile
===================================================================
--- /trunk/adm/makefile	(revision 11)
+++ /trunk/adm/makefile	(revision 12)
@@ -63,4 +63,7 @@
 $(DIRSRC)/plogd.sh \
 $(DIRSRC)/tlogd.sh
+
+LIST_SRCMATLAB = \
+$(DIRSRC)/$(PRODUCT)_startup.m 
 
 .PHONY : \
@@ -147,5 +150,6 @@
 $(DIRWWW)/manuals/html/many/elogd.sh.html \
 $(DIRWWW)/manuals/html/many/plogd.sh.html \
-$(DIRWWW)/manuals/html/many/tlogd.sh.html
+$(DIRWWW)/manuals/html/many/tlogd.sh.html \
+$(DIRWWW)/manuals/html/many/$(PRODUCT)_startup.m.html \
 
 man_pdf : \
@@ -161,5 +165,6 @@
 $(DIRWWW)/manuals/pdf/many/elogd.sh.pdf \
 $(DIRWWW)/manuals/pdf/many/plogd.sh.pdf \
-$(DIRWWW)/manuals/pdf/many/tlogd.sh.pdf
+$(DIRWWW)/manuals/pdf/many/tlogd.sh.pdf \
+$(DIRWWW)/manuals/pdf/many/$(PRODUCT)_startup.m.pdf \
 
 $(DIRWWW)/manuals/html/many/index.html : \
@@ -188,7 +193,21 @@
 $(DIRTMP)/elogd.sh.rst \
 $(DIRTMP)/plogd.sh.rst \
-$(DIRTMP)/tlogd.sh.rst
+$(DIRTMP)/tlogd.sh.rst \
+$(DIRTMP)/$(PRODUCT)_startup.m.rst
 	@cat $(DIRTMP)/index.rst > ${DIRTMP}/$(PRODUCT)_manuals.rst1
 	@for file in $(LIST_SRCSH); \
+	do echo " " >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo ".. raw:: latex" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo " " >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo "  \newpage" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo " " >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo ".. _$$(basename $${file}) :" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo " " >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo "$$(basename $${file})" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo "$$(basename $${file} | tr [:print:] =)" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ; \
+	echo " " >> ${DIRTMP}/$(PRODUCT)_manuals.rst1; \
+	sed -e "s/^==*$$/-----------------/" ${DIRTMP}/$$(basename $${file}).rst >> ${DIRTMP}/$(PRODUCT)_manuals.rst1; \
+	done
+	@for file in $(LIST_SRCMATLAB); \
 	do echo " " >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
 	echo ".. raw:: latex" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
@@ -219,4 +238,8 @@
 	@for file in $(LIST_SRCSH); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}) : $$(basename $${file}).html"; done >> $@
 	@echo " " >> $@
+	@echo "MATLAB scripts" >> $@
+	@echo "==============" >> $@
+	@for file in $(LIST_SRCMATLAB); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}) : $$(basename $${file}).html"; done >> $@
+	@echo " " >> $@
 
 $(DIRWWW)/manuals/html/many/$(PRODUCT)_profile.sh.html : \
@@ -313,2 +336,20 @@
 $(DIRSRC)/tlogd.sh
 	@extract_rst.sh -i $< -l sh -o $@
+
+$(DIRWWW)/manuals/html/many/$(PRODUCT)_startup.m.html : \
+$(DIRTMP)/$(PRODUCT)_startup.m.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/$(PRODUCT)_startup.m.pdf : \
+$(DIRTMP)/$(PRODUCT)_startup.m.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+
+$(DIRTMP)/$(PRODUCT)_startup.m.tex : \
+$(DIRTMP)/$(PRODUCT)_startup.m.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRTMP)/$(PRODUCT)_startup.m.rst : \
+$(DIRSRC)/$(PRODUCT)_startup.m
+	@extract_rst.sh -i $< -l matlab -o $@
Index: /trunk/doc/manuals/html/many/index.html
===================================================================
--- /trunk/doc/manuals/html/many/index.html	(revision 11)
+++ /trunk/doc/manuals/html/many/index.html	(revision 12)
@@ -286,6 +286,7 @@
 <div class="document" id="ircaam-manuals">
 <h1 class="title">IRCAAM manuals</h1>
-<h2 class="subtitle" id="shell-scripts">Shell scripts</h2>
-
+
+<div class="section" id="shell-scripts">
+<h1>Shell scripts</h1>
 <p><a class="reference external" href="ircaam_profile.sh.html">ircaam_profile.sh</a></p>
 <p><a class="reference external" href="dlogd.sh.html">dlogd.sh</a></p>
@@ -294,4 +295,9 @@
 <p><a class="reference external" href="tlogd.sh.html">tlogd.sh</a></p>
 </div>
+<div class="section" id="matlab-scripts">
+<h1>MATLAB scripts</h1>
+<p><a class="reference external" href="ircaam_startup.m.html">ircaam_startup.m</a></p>
+</div>
+</div>
 </body>
 </html>
Index: /trunk/doc/manuals/html/many/ircaam_profile.sh.html
===================================================================
--- /trunk/doc/manuals/html/many/ircaam_profile.sh.html	(revision 11)
+++ /trunk/doc/manuals/html/many/ircaam_profile.sh.html	(revision 12)
@@ -304,11 +304,15 @@
 <div class="section" id="description">
 <h1>DESCRIPTION</h1>
-<blockquote>
-define IRCAAM environnement</blockquote>
-<p>${IRCAAM}</p>
-<p>${IRCAAM_LOG} ++</p>
-<p>${IRCAAM_ID}</p>
-<p>${IRCAAM_OD}</p>
+<p>define IRCAAM environnement</p>
+<p>${IRCAAM} is the base directory of tools.</p>
+<p>${IRCAAM_LOG} is the directory where log files  will be written.</p>
+<p>${IRCAAM_ID} is the directory where input files must be.</p>
+<p>${IRCAAM_OD} is the directory where output files will be written.</p>
 <p>MANPATH++</p>
+</div>
+<div class="section" id="see-also">
+<h1>SEE ALSO</h1>
+<p>for matlab/octave environment :</p>
+<p><a class="reference external" href="ircaam_startup.m.html">ircaam_startup.m</a></p>
 </div>
 <div class="section" id="examples">
@@ -342,5 +346,4 @@
 <div class="section" id="todo">
 <h1>TODO</h1>
-<p>matlab/octave path</p>
 </div>
 <div class="section" id="evolutions">
Index: /trunk/doc/manuals/html/one/index.html
===================================================================
--- /trunk/doc/manuals/html/one/index.html	(revision 11)
+++ /trunk/doc/manuals/html/one/index.html	(revision 12)
@@ -295,4 +295,8 @@
 <p><a class="reference internal" href="#tlogd-sh">tlogd.sh</a></p>
 </div>
+<div class="section" id="matlab-scripts">
+<h1>MATLAB scripts</h1>
+<p><a class="reference internal" href="#ircaam-startup-m">ircaam_startup.m</a></p>
+</div>
 <div class="section" id="id1">
 <span id="ircaam-profile-sh"></span><h1>ircaam_profile.sh</h1>
@@ -314,11 +318,15 @@
 <div class="section" id="description">
 <h2>DESCRIPTION</h2>
-<blockquote>
-define IRCAAM environnement</blockquote>
-<p>${IRCAAM}</p>
-<p>${IRCAAM_LOG} ++</p>
-<p>${IRCAAM_ID}</p>
-<p>${IRCAAM_OD}</p>
+<p>define IRCAAM environnement</p>
+<p>${IRCAAM} is the base directory of tools.</p>
+<p>${IRCAAM_LOG} is the directory where log files  will be written.</p>
+<p>${IRCAAM_ID} is the directory where input files must be.</p>
+<p>${IRCAAM_OD} is the directory where output files will be written.</p>
 <p>MANPATH++</p>
+</div>
+<div class="section" id="see-also">
+<h2>SEE ALSO</h2>
+<p>for matlab/octave environment :</p>
+<p><a class="reference internal" href="#ircaam-startup-m">ircaam_startup.m</a></p>
 </div>
 <div class="section" id="examples">
@@ -352,5 +360,4 @@
 <div class="section" id="todo">
 <h2>TODO</h2>
-<p>matlab/octave path</p>
 </div>
 <div class="section" id="evolutions">
@@ -394,5 +401,5 @@
 <p><tt class="docutils literal"><span class="pre">dlogd.sh</span></tt> prompt for destruction of the most recent release of ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ.</p>
 </div>
-<div class="section" id="see-also">
+<div class="section" id="id5">
 <h2>SEE ALSO</h2>
 <p><a class="reference internal" href="#ircaam-profile-sh">ircaam_profile.sh</a></p>
@@ -401,12 +408,12 @@
 <p><a class="reference internal" href="#tlogd-sh">tlogd.sh</a></p>
 </div>
-<div class="section" id="id5">
+<div class="section" id="id6">
 <h2>FILES</h2>
-<div class="section" id="id6">
+<div class="section" id="id7">
 <h3>original location</h3>
 <p>/usr/home/fplod/incas/ircaam/ircaam_ws/src/dlogd.sh sur cerbere.locean-ipsl.upmc.fr</p>
 </div>
 </div>
-<div class="section" id="id7">
+<div class="section" id="id8">
 <h2>EVOLUTIONS</h2>
 <p>$Id: dlogd.sh 2 2008-12-03 15:56:27Z pinsard $</p>
@@ -419,11 +426,11 @@
 </div>
 </div>
-<div class="section" id="id8">
+<div class="section" id="id9">
 <span id="elogd-sh"></span><h1>elogd.sh</h1>
-<div class="section" id="id9">
+<div class="section" id="id10">
 <h2>NAME</h2>
 <p>elogd.sh - edit the most recent ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ</p>
 </div>
-<div class="section" id="id10">
+<div class="section" id="id11">
 <h2>SYNOPSIS</h2>
 <pre class="literal-block">
@@ -431,9 +438,9 @@
 </pre>
 </div>
-<div class="section" id="id11">
+<div class="section" id="id12">
 <h2>DESCRIPTION</h2>
 <p><tt class="docutils literal"><span class="pre">elogd.sh</span></tt> launch ${EDITOR} on the most recent release of ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ.</p>
 </div>
-<div class="section" id="id12">
+<div class="section" id="id13">
 <h2>SEE ALSO</h2>
 <p><a class="reference internal" href="#ircaam-profile-sh">ircaam_profile.sh</a></p>
@@ -442,12 +449,12 @@
 <p><a class="reference internal" href="#tlogd-sh">tlogd.sh</a></p>
 </div>
-<div class="section" id="id13">
+<div class="section" id="id14">
 <h2>FILES</h2>
-<div class="section" id="id14">
+<div class="section" id="id15">
 <h3>original location</h3>
 <p>/usr/home/fplod/incas/ircaam/ircaam_ws/src/elogd.sh sur cerbere.locean-ipsl.upmc.fr</p>
 </div>
 </div>
-<div class="section" id="id15">
+<div class="section" id="id16">
 <h2>EVOLUTIONS</h2>
 <p>$Id: elogd.sh 2 2008-12-03 15:56:27Z pinsard $</p>
@@ -460,11 +467,11 @@
 </div>
 </div>
-<div class="section" id="id16">
+<div class="section" id="id17">
 <span id="plogd-sh"></span><h1>plogd.sh</h1>
-<div class="section" id="id17">
+<div class="section" id="id18">
 <h2>NAME</h2>
 <p>plogd.sh - prints the most recent release of ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ</p>
 </div>
-<div class="section" id="id18">
+<div class="section" id="id19">
 <h2>SYNOPSIS</h2>
 <pre class="literal-block">
@@ -472,5 +479,5 @@
 </pre>
 </div>
-<div class="section" id="id19">
+<div class="section" id="id20">
 <h2>DESCRIPTION</h2>
 <p><tt class="docutils literal"><span class="pre">plogd.sh</span></tt> prints the most recent release of ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ.</p>
@@ -478,5 +485,5 @@
 <p>Print is one on the default printer.</p>
 </div>
-<div class="section" id="id20">
+<div class="section" id="id21">
 <h2>SEE ALSO</h2>
 <p><a class="reference internal" href="#ircaam-profile-sh">ircaam_profile.sh</a></p>
@@ -485,12 +492,12 @@
 <p><a class="reference internal" href="#tlogd-sh">tlogd.sh</a></p>
 </div>
-<div class="section" id="id21">
+<div class="section" id="id22">
 <h2>FILES</h2>
-<div class="section" id="id22">
+<div class="section" id="id23">
 <h3>original location</h3>
 <p>/usr/home/fplod/incas/ircaam/ircaam_ws/src/plogd.sh sur cerbere.locean-ipsl.upmc.fr</p>
 </div>
 </div>
-<div class="section" id="id23">
+<div class="section" id="id24">
 <h2>EVOLUTIONS</h2>
 <p>$Id: plogd.sh 7 2008-12-12 10:39:06Z pinsard $</p>
@@ -503,11 +510,11 @@
 </div>
 </div>
-<div class="section" id="id24">
+<div class="section" id="id25">
 <span id="tlogd-sh"></span><h1>tlogd.sh</h1>
-<div class="section" id="id25">
+<div class="section" id="id26">
 <h2>NAME</h2>
 <p>tlogd.sh -  shows the most recent release of ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ</p>
 </div>
-<div class="section" id="id26">
+<div class="section" id="id27">
 <h2>SYNOPSIS</h2>
 <pre class="literal-block">
@@ -515,9 +522,9 @@
 </pre>
 </div>
-<div class="section" id="id27">
+<div class="section" id="id28">
 <h2>DESCRIPTION</h2>
 <p><tt class="docutils literal"><span class="pre">tlogd.sh</span></tt> shows the most recent release of ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ.</p>
 </div>
-<div class="section" id="id28">
+<div class="section" id="id29">
 <h2>SEE ALSO</h2>
 <p><a class="reference internal" href="#ircaam-profile-sh">ircaam_profile.sh</a></p>
@@ -526,12 +533,12 @@
 <p><a class="reference internal" href="#plogd-sh">plogd.sh</a></p>
 </div>
-<div class="section" id="id29">
+<div class="section" id="id30">
 <h2>FILES</h2>
-<div class="section" id="id30">
+<div class="section" id="id31">
 <h3>original location</h3>
 <p>/usr/home/fplod/incas/ircaam/ircaam_ws/src/tlogd.sh sur cerbere.locean-ipsl.upmc.fr</p>
 </div>
 </div>
-<div class="section" id="id31">
+<div class="section" id="id32">
 <h2>EVOLUTIONS</h2>
 <p>$Id: tlogd.sh 7 2008-12-12 10:39:06Z pinsard $</p>
@@ -552,4 +559,46 @@
 </div>
 </div>
+<div class="section" id="id33">
+<span id="ircaam-startup-m"></span><h1>ircaam_startup.m</h1>
+<div class="section" id="module">
+<h2>module</h2>
+<p>initialisation of matlab/octave environment for IRCAAM project</p>
+</div>
+<div class="section" id="id34">
+<h2>DESCRIPTION</h2>
+<dl class="docutils">
+<dt>Define :</dt>
+<dd><ul class="first last simple">
+<li>path for matlab/octave commands used in IRCAAM project</li>
+<li>IO directories</li>
+</ul>
+</dd>
+</dl>
+<p>This file can be either run classicaly when currect directory
+is ${IRCAAM} :
+..</p>
+<blockquote>
+&gt;&gt; ircaam_startup</blockquote>
+<p>If linked or copy to ${HOME}/startup.m, it will be automaticaly
+run by matlab at start.</p>
+</div>
+<div class="section" id="id35">
+<h2>SEE ALSO</h2>
+<p><a class="reference internal" href="#ircaam-profile-sh">ircaam_profile.sh</a></p>
+</div>
+<div class="section" id="id36">
+<h2>EVOLUTIONS</h2>
+<p>$Id$</p>
+<ul class="simple">
+<li>fplod 2008-12-22T09:38:20Z zeus.locean-ipsl.upmc.fr (Linux)<ul>
+<li>creation</li>
+</ul>
+</li>
+</ul>
+</div>
+<div class="section" id="id37">
+<h2>TODO</h2>
+</div>
+</div>
 </div>
 </body>
Index: /trunk/src/dlogd.sh
===================================================================
--- /trunk/src/dlogd.sh	(revision 11)
+++ /trunk/src/dlogd.sh	(revision 12)
@@ -22,22 +22,22 @@
 # ``dlogd.sh`` prompt for destruction of the most recent release of ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ.
 #
-# 
+#
 # SEE ALSO
 # ========
 #
 # ircaam_profile.sh_
-# 
+#
 # .. _ircaam_profile.sh : ircaam_profile.sh.html
-# 
+#
 # elogd.sh_
-#  
+#
 # .. _elogd.sh : elogd.sh.html
-# 
+#
 # plogd.sh_
-#  
+#
 # .. _plogd.sh : plogd.sh.html
 #
 # tlogd.sh_
-#  
+#
 # .. _tlogd.sh : tlogd.sh.html
 #
@@ -81,5 +81,5 @@
 # check for ${IRCAAM_LOG} definition
 if [ "${IRCAAM_LOG}" = "" ]
-then 
+then
  echo " eee : \${IRCAAM_LOG} not defined"
  exit 1
Index: /trunk/src/elogd.sh
===================================================================
--- /trunk/src/elogd.sh	(revision 11)
+++ /trunk/src/elogd.sh	(revision 12)
@@ -24,19 +24,19 @@
 # SEE ALSO
 # ========
-# 
+#
 # ircaam_profile.sh_
-# 
+#
 # .. _ircaam_profile.sh : ircaam_profile.sh.html
 #
 # dlogd.sh_
-# 
+#
 # .. _dlogd.sh : dlogd.sh.html
 #
 # plogd.sh_
-# 
+#
 # .. _plogd.sh : plogd.sh.html
 #
 # tlogd.sh_
-# 
+#
 # .. _tlogd.sh : tlogd.sh.html
 #
@@ -85,5 +85,5 @@
 # check for ${IRCAAM_LOG} definition
 if [ "${IRCAAM_LOG}" = "" ]
-then 
+then
  echo " eee : \${IRCAAM_LOG} not defined"
  exit 1
Index: /trunk/src/ircaam_profile.sh
===================================================================
--- /trunk/src/ircaam_profile.sh	(revision 11)
+++ /trunk/src/ircaam_profile.sh	(revision 12)
@@ -10,10 +10,10 @@
 #
 #
-# Online usage 
+# Online usage
 # ::
 #
 # $ . ./ircaam_profile.sh -d directory -i indir -o outdir -t tempdir
 #
-# In ${HOME}/.profile, add the following line 
+# In ${HOME}/.profile, add the following line
 # ::
 #
@@ -23,16 +23,24 @@
 # ===========
 #
-#  define IRCAAM environnement
-#
-#
-# ${IRCAAM}
-#
-# ${IRCAAM_LOG} ++
-#
-# ${IRCAAM_ID}
-#
-# ${IRCAAM_OD}
+# define IRCAAM environnement
+#
+# ${IRCAAM} is the base directory of tools.
+#
+# ${IRCAAM_LOG} is the directory where log files  will be written.
+#
+# ${IRCAAM_ID} is the directory where input files must be.
+#
+# ${IRCAAM_OD} is the directory where output files will be written.
 #
 # MANPATH++
+#
+# SEE ALSO
+# ========
+#
+# for matlab/octave environment :
+#
+# ircaam_startup.m_
+#
+# .. _ircaam_startup.m : ircaam_startup.m.html
 #
 # EXAMPLES
@@ -74,5 +82,4 @@
 # ====
 #
-# matlab/octave path
 #
 # EVOLUTIONS
@@ -198,9 +205,9 @@
 IRCAAM_LOG=${tempdir}
 export IRCAAM_LOG
-if [ ! -d ${IRCAAM_LOG} ] 
+if [ ! -d ${IRCAAM_LOG} ]
 then
   mkdir -p ${IRCAAM_LOG}
   echo "${command} : iii : creation of \${IRCAAM_LOG}"
-fi 
+fi
 # check for permission on IRCAAM_LOG
 if [ ! -x ${IRCAAM_LOG} ]
@@ -223,9 +230,9 @@
 IRCAAM_ID=${indir}
 export IRCAAM_ID
-if [ ! -d ${IRCAAM_ID} ] 
+if [ ! -d ${IRCAAM_ID} ]
 then
   mkdir -p ${IRCAAM_ID}
   echo "${command} : iii : creation of \${IRCAAM_ID}"
-fi 
+fi
 # check for permission on IRCAAM_ID
 if [ ! -x ${IRCAAM_ID} ]
Index: /trunk/src/ircaam_startup.m
===================================================================
--- /trunk/src/ircaam_startup.m	(revision 12)
+++ /trunk/src/ircaam_startup.m	(revision 12)
@@ -0,0 +1,75 @@
+%+
+%
+% module
+% ======
+%
+% initialisation of matlab/octave environment for IRCAAM project
+%
+% DESCRIPTION
+% ===========
+%
+% Define :
+%  - path for matlab/octave commands used in IRCAAM project
+%  - IO directories
+%
+% This file can be either run classicaly when currect directory
+% is ${IRCAAM} :
+% ..
+%
+%  >> ircaam_startup
+%
+%
+% If linked or copy to ${HOME}/startup.m, it will be automaticaly
+% run by matlab at start.
+%
+% SEE ALSO
+% ========
+%
+% ircaam_profile.sh_
+%
+% .. _ircaam_profile.sh : ircaam_profile.sh.html
+%
+% EVOLUTIONS
+% ==========
+%
+% $Id$
+%
+% - fplod 2008-12-22T09:38:20Z zeus.locean-ipsl.upmc.fr (Linux)
+%
+%   * creation
+%
+% TODO
+% ====
+%
+%-
+%
+clear all
+%
+disp(['iii : adding path to IRCAAM matlab tools'])
+%
+% test if IRCAAM environment set
+ircaam=getenv('IRCAAM');
+if [ isempty(ircaam) ]
+ error('eee : IRCAAM environment not set');
+else
+ disp(['iii : IRCAAM =' ircaam])
+end
+%
+% add path
+addpath([ircaam '/mode_sahelien/']);
+addpath([ircaam '/SIMULS_IRCAAM/']);
+%
+% IO directories
+% test if IRCAAM_ID environment set
+ircaam_id=getenv('IRCAAM_ID');
+if [ isempty(ircaam_id) ]
+ error('eee : IRCAAM_ID environment not set');
+end
+%
+% test if IRCAAM_OD environment set
+ircaam_od=getenv('IRCAAM_OD');
+if [ isempty(ircaam_od) ]
+ error('eee : IRCAAM_OD environment not set');
+end
+%
+more on
Index: /trunk/src/plogd.sh
===================================================================
--- /trunk/src/plogd.sh	(revision 11)
+++ /trunk/src/plogd.sh	(revision 12)
@@ -28,19 +28,19 @@
 # SEE ALSO
 # ========
-# 
+#
 # ircaam_profile.sh_
-# 
+#
 # .. _ircaam_profile.sh : ircaam_profile.sh.html
 #
 # dlogd.sh_
-# 
+#
 # .. _dlogd.sh : dlogd.sh.html
 #
 # elogd.sh_
-# 
+#
 # .. _elogd.sh : elogd.sh.html
 #
 # tlogd.sh_
-# 
+#
 # .. _tlogd.sh : tlogd.sh.html
 #
@@ -106,5 +106,5 @@
   exit 1
  else
-  # printing 
+  # printing
   a2ps --print-anyway=1 ${log}
   exit 0
Index: /trunk/src/tlogd.sh
===================================================================
--- /trunk/src/tlogd.sh	(revision 11)
+++ /trunk/src/tlogd.sh	(revision 12)
@@ -24,19 +24,19 @@
 # SEE ALSO
 # ========
-# 
+#
 # ircaam_profile.sh_
-# 
+#
 # .. _ircaam_profile.sh : ircaam_profile.sh.html
 #
 # dlogd.sh_
-# 
+#
 # .. _dlogd.sh : dlogd.sh.html
 #
 # elogd.sh_
-# 
+#
 # .. _elogd.sh : elogd.sh.html
 #
 # plogd.sh_
-# 
+#
 # .. _plogd.sh : plogd.sh.html
 #