Index: trunk/src/mode_sahelien/composite_wind925_EOF12_ER30100.m
===================================================================
--- trunk/src/mode_sahelien/composite_wind925_EOF12_ER30100.m	(revision 15)
+++ trunk/src/mode_sahelien/composite_wind925_EOF12_ER30100.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 % initialisation
 close all;
@@ -8,5 +10,6 @@
 uwnd925=zeros(122,49,144,28);
 
-siz=31+28+31+30+31+1; sizbis=31+28+31+30+31+30+31+31+30;
+siz=31+28+31+30+31+1;
+sizbis=31+28+31+30+31+30+31+31+30;
 ncload('uwnd925.1979.nc'); uwnd925(:,:,:,1)=uwnd(siz:sizbis,1,:,:); clear uwnd;
 ncload('uwnd925.1980.nc'); uwnd925(:,:,:,2)=uwnd(siz+1:sizbis+1,1,:,:); clear uwnd;
@@ -46,6 +49,7 @@
 
 %%%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier 
-load eof12_rossby_30100.txt; ind_olr=reshape(eof12_rossby_30100,122,28);
+% ouverture / lecture du fichier
+load eof12_rossby_30100.txt;
+ind_olr=reshape(eof12_rossby_30100,122,28);
 clear eof12_rossby_30100;
 
@@ -54,26 +58,31 @@
 % on calcule l ecart type sur la serie entiere de l OLR
 ind_olr1=reshape(ind_olr, k,1);
-ind_olr2=std(ind_olr1); clear ind_olr1;
+ind_olr2=std(ind_olr1);
+clear ind_olr1;
 
 
 % intialisation des tableaux
-uwnd925_filtre_compomax=NaN*ones(60,31,49,144); 
+uwnd925_filtre_compomax=NaN*ones(60,31,49,144);
 uwnd925_filtre_compomin=NaN*ones(60,31,49,144);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:28; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:28;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=ind_olr(b,a)-ind_olr(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-% cas 1 : max deltas apres negetifs et deltas avant postifs   
-         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && ind_olr(b,a)>ind_olr2); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+% cas 1 : max deltas apres negetifs et deltas avant postifs
+         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && ind_olr(b,a)>ind_olr2);
             compteurmax=compteurmax+1;
             uwnd925_filtre_compomax(compteurmax,1,:,:)=uwnd(b-20,a,:,:);
@@ -110,5 +119,5 @@
             uwnd925_filtre_compomax(compteurmax,30,:,:)=uwnd(b+9,a,:,:);
             uwnd925_filtre_compomax(compteurmax,31,:,:)=uwnd(b+10,a,:,:);
-% cas 2 : min deltas apres positifs et deltas avant negatifs   
+% cas 2 : min deltas apres positifs et deltas avant negatifs
          elseif (delta(b+1)>0 && delta(b)>0 && delta(b-1)<0 && delta(b-2)<0 && ind_olr(b,a)<(-ind_olr2));
             compteurmin=compteurmin+1;
@@ -149,5 +158,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 
@@ -155,11 +164,8 @@
 % on fait la somme des valeurs de uwnd925_filtreentiel sur le nbre d occurences
 % on obtent un tableau de la forme (jours-avant-apres,lon,lat)
-uwnd925_filtre_compomin1(:,:,:)=nanmean(uwnd925_filtre_compomin); clear uwnd925_filtre_compomin;
-uwnd925_filtre_compomax1(:,:,:)=nanmean(uwnd925_filtre_compomax); clear uwnd925_filtre_compomax;
-
-
-
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+uwnd925_filtre_compomin1(:,:,:)=nanmean(uwnd925_filtre_compomin);
+clear uwnd925_filtre_compomin;
+uwnd925_filtre_compomax1(:,:,:)=nanmean(uwnd925_filtre_compomax);
+clear uwnd925_filtre_compomax;
 
 % etape 1 :on selectionne les mois d ete (attention aux annees bixestiles!)
@@ -168,5 +174,6 @@
 vwnd925=zeros(122,49,144,28);
 
-siz=31+28+31+30+31+1; sizbis=31+28+31+30+31+30+31+31+30;
+siz=31+28+31+30+31+1;
+sizbis=31+28+31+30+31+30+31+31+30;
 ncload('vwnd925.1979.nc'); vwnd925(:,:,:,1)=vwnd(siz:sizbis,1,:,:); clear vwnd;
 ncload('vwnd925.1980.nc'); vwnd925(:,:,:,2)=vwnd(siz+1:sizbis+1,1,:,:); clear vwnd;
@@ -204,6 +211,7 @@
 
 %%%%%%%%%%%%%% FICHIER OLR
-% ouverture / lecture du fichier 
-load eof12_rossby_30100.txt; ind_olr=reshape(eof12_rossby_30100,122,28);
+% ouverture / lecture du fichier
+load eof12_rossby_30100.txt;
+ind_olr=reshape(eof12_rossby_30100,122,28);
 clear eof12_rossby_30100
 k=122*28;
@@ -211,26 +219,31 @@
 % on calcule l ecart type sur la serie entiere de l OLR
 ind_olr1=reshape(ind_olr, k,1);
-ind_olr2=std(ind_olr1); clear ind_olr1;
+ind_olr2=std(ind_olr1);
+clear ind_olr1;
 
 
 % intialisation des tableaux
-vwnd925_filtre_compomax=NaN*ones(60,31,49,144); 
+vwnd925_filtre_compomax=NaN*ones(60,31,49,144);
 vwnd925_filtre_compomin=NaN*ones(60,31,49,144);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:28; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:28;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=ind_olr(b,a)-ind_olr(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-% cas 1 : max deltas apres negetifs et deltas avant postifs   
-         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && ind_olr(b,a)>ind_olr2); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+% cas 1 : max deltas apres negetifs et deltas avant postifs
+         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && ind_olr(b,a)>ind_olr2);
             compteurmax=compteurmax+1;
             vwnd925_filtre_compomax(compteurmax,1,:,:)=vwnd(b-20,a,:,:);
@@ -267,5 +280,5 @@
             vwnd925_filtre_compomax(compteurmax,30,:,:)=vwnd(b+9,a,:,:);
             vwnd925_filtre_compomax(compteurmax,31,:,:)=vwnd(b+10,a,:,:);
-% cas 2 : min deltas apres positifs et deltas avant negatifs   
+% cas 2 : min deltas apres positifs et deltas avant negatifs
          elseif (delta(b+1)>0 && delta(b)>0 && delta(b-1)<0 && delta(b-2)<0 && ind_olr(b,a)<(-ind_olr2));
             compteurmin=compteurmin+1;
@@ -306,5 +319,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 
@@ -312,8 +325,8 @@
 % on fait la somme des valeurs de vwnd925_filtreentiel sur le nbre d occurences
 % on obtent un tableau de la forme (jours-avant-apres,lon,lat)
-vwnd925_filtre_compomin1(:,:,:)=nanmean(vwnd925_filtre_compomin); clear vwnd925_filtre_compomin;
-vwnd925_filtre_compomax1(:,:,:)=nanmean(vwnd925_filtre_compomax); clear vwnd925_filtre_compomax;
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+vwnd925_filtre_compomin1(:,:,:)=nanmean(vwnd925_filtre_compomin);
+clear vwnd925_filtre_compomin;
+vwnd925_filtre_compomax1(:,:,:)=nanmean(vwnd925_filtre_compomax);
+clear vwnd925_filtre_compomax;
 
 figure(1);
@@ -333,5 +346,5 @@
              delta_uwnd925_filtre_min(b,c)=uwnd925_filtre_compomin1(f,b,c)-uwnd925_filtre_compomax1(f,b,c);
              delta_vwnd925_filtre_min(b,c)=vwnd925_filtre_compomin1(f,b,c)-vwnd925_filtre_compomax1(f,b,c);
- 
+
          end;
        end;
@@ -344,14 +357,16 @@
        delta_vwnd925_filtre(:,1:72)=delta_vwnd925_filtre_min(:,73:144);
        delta_vwnd925_filtre(:,73:144)=delta_vwnd925_filtre_min(:,1:72);
-       xi=[-180:3.75:176.25]; xi=xi'; yi=[-87.1591:3.708895:87.1591]; 
+       xi=[-180:3.75:176.25];
+       xi=xi';
+       yi=[-87.1591:3.708895:87.1591];
        clear carteu cartev;
-       carteu=interp2(lon-180,lat,delta_uwnd925_filtre,xi,yi); 
+       carteu=interp2(lon-180,lat,delta_uwnd925_filtre,xi,yi);
        cartev=interp2(lon-180,lat,delta_vwnd925_filtre,xi,yi);
        clear coco ;
        coco(:,:)=pression(5-e,:,:);
-      hgt=interp2(lon-180,lat,coco,xi,yi); 
+       hgt=interp2(lon-180,lat,coco,xi,yi);
        palette
-
-       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none'); hold on;
+       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none');
+       hold on;
        caxis([-20 20]);
        aa=quiver(xi,yi,carteu,cartev,'k');
@@ -360,9 +375,9 @@
        else
 set (gca,'XTick',[-60:20:120],'XTickLabel',[' ';' ';' ';' ';' ';' ';' ';' ';' ';' '],'fontsize',6);
-       end   
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';' 0 ';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        cartemonde1;
        if e==2;
-          co=colorbar;            
+          co=colorbar;
           set (co,'ytick',[-20:10:20],'yticklabel',[-20:10:20],'fontname','arial','fontsize',6);
        end;
@@ -376,14 +391,9 @@
        text(-150,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/6.1;
-%       set (gca,'position',[0.2 pos_vert 0.3 1/6.1]) 
-       set (gca,'position',[0.2 pos_vert 0.4  1/6.1]) 
+%       set (gca,'position',[0.2 pos_vert 0.3 1/6.1])
+       set (gca,'position',[0.2 pos_vert 0.4  1/6.1])
 end;
 
-
-print -depsc2 composite_wind925_EOF12_ER30100_part1.eps; 
-
-
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+print -depsc2 composite_wind925_EOF12_ER30100_part1.eps;
 
 figure(2);
@@ -403,5 +413,5 @@
              delta_uwnd925_filtre_min(b,c)=uwnd925_filtre_compomin1(f,b,c)-uwnd925_filtre_compomax1(f,b,c);
              delta_vwnd925_filtre_min(b,c)=vwnd925_filtre_compomin1(f,b,c)-vwnd925_filtre_compomax1(f,b,c);
- 
+
          end;
        end;
@@ -414,13 +424,15 @@
        delta_vwnd925_filtre(:,1:72)=delta_vwnd925_filtre_min(:,73:144);
        delta_vwnd925_filtre(:,73:144)=delta_vwnd925_filtre_min(:,1:72);
-       xi=[-180:3.75:176.25]; xi=xi'; yi=[-87.1591:3.708895:87.1591]; 
+       xi=[-180:3.75:176.25];
+       xi=xi';
+       yi=[-87.1591:3.708895:87.1591];
        clear carteu cartev;
-       carteu=interp2(lon-180,lat,delta_uwnd925_filtre,xi,yi); 
+       carteu=interp2(lon-180,lat,delta_uwnd925_filtre,xi,yi);
        cartev=interp2(lon-180,lat,delta_vwnd925_filtre,xi,yi);
        clear coco ;
        coco(:,:)=pression(5-e+4,:,:);
-      hgt=interp2(lon-180,lat,coco,xi,yi); 
+       hgt=interp2(lon-180,lat,coco,xi,yi);
        palette
-       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none'); 
+       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none');
        caxis([-20 20]);
        hold on;
@@ -430,10 +442,10 @@
        else
 set (gca,'XTick',[-60:20:120],'XTickLabel',[' ';' ';' ';' ';' ';' ';' ';' ';' ';' '],'fontsize',6);
-       end  
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';' 0 ';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 
        cartemonde1;
        if e==2;
-          co=colorbar;            
+          co=colorbar;
           set (co,'ytick',[-20:10:20],'yticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
@@ -447,12 +459,9 @@
        text(-150,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/6.1;
-       set (gca,'position',[0.2 pos_vert 0.4 1/6.1]) 
+       set (gca,'position',[0.2 pos_vert 0.4 1/6.1])
 end;
 
 
-print -depsc2 composite_wind925_EOF12_ER30100_part2.eps; 
-
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+print -depsc2 composite_wind925_EOF12_ER30100_part2.eps;
 
 figure(3);
@@ -471,5 +480,5 @@
              delta_uwnd925_filtre_min(b,c)=uwnd925_filtre_compomin1(f,b,c)-uwnd925_filtre_compomax1(f,b,c);
              delta_vwnd925_filtre_min(b,c)=vwnd925_filtre_compomin1(f,b,c)-vwnd925_filtre_compomax1(f,b,c);
- 
+
          end;
        end;
@@ -482,13 +491,15 @@
        delta_vwnd925_filtre(:,1:72)=delta_vwnd925_filtre_min(:,73:144);
        delta_vwnd925_filtre(:,73:144)=delta_vwnd925_filtre_min(:,1:72);
-       xi=[-180:3.75:176.25]; xi=xi'; yi=[-87.1591:3.708895:87.1591]; 
+       xi=[-180:3.75:176.25];
+       xi=xi';
+       yi=[-87.1591:3.708895:87.1591];
        clear carteu cartev;
-       carteu=interp2(lon-180,lat,delta_uwnd925_filtre,xi,yi); 
+       carteu=interp2(lon-180,lat,delta_uwnd925_filtre,xi,yi);
        cartev=interp2(lon-180,lat,delta_vwnd925_filtre,xi,yi);
        clear coco ;
        coco(:,:)=pression(5-e+8,:,:);
-      hgt=interp2(lon-180,lat,coco,xi,yi); 
+      hgt=interp2(lon-180,lat,coco,xi,yi);
        palette
-       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none'); 
+       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none');
        caxis([-20 20]);
        hold on;
@@ -498,10 +509,10 @@
        else
 set (gca,'XTick',[-60:20:120],'XTickLabel',[' ';' ';' ';' ';' ';' ';' ';' ';' ';' '],'fontsize',6);
-       end  
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';' 0 ';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 
        cartemonde1;
        if e==2;
-          co=colorbar;            
+          co=colorbar;
           set (co,'ytick',[-20:10:20],'yticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
@@ -515,12 +526,9 @@
        text(-150,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/6.1;
-       set (gca,'position',[0.2 pos_vert 0.4 1/6.1]) 
+       set (gca,'position',[0.2 pos_vert 0.4 1/6.1])
 end;
 
 
-print -depsc2 composite_wind925_EOF12_ER30100_part3.eps; 
-
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+print -depsc2 composite_wind925_EOF12_ER30100_part3.eps;
 
 figure(4);
@@ -539,5 +547,5 @@
              delta_uwnd925_filtre_min(b,c)=uwnd925_filtre_compomin1(f,b,c)-uwnd925_filtre_compomax1(f,b,c);
              delta_vwnd925_filtre_min(b,c)=vwnd925_filtre_compomin1(f,b,c)-vwnd925_filtre_compomax1(f,b,c);
- 
+
          end;
        end;
@@ -550,13 +558,15 @@
        delta_vwnd925_filtre(:,1:72)=delta_vwnd925_filtre_min(:,73:144);
        delta_vwnd925_filtre(:,73:144)=delta_vwnd925_filtre_min(:,1:72);
-       xi=[-180:3.75:176.25]; xi=xi'; yi=[-87.1591:3.708895:87.1591]; 
+       xi=[-180:3.75:176.25];
+       xi=xi';
+       yi=[-87.1591:3.708895:87.1591];
        clear carteu cartev;
-       carteu=interp2(lon-180,lat,delta_uwnd925_filtre,xi,yi); 
+       carteu=interp2(lon-180,lat,delta_uwnd925_filtre,xi,yi);
        cartev=interp2(lon-180,lat,delta_vwnd925_filtre,xi,yi);
        clear coco ;
        coco(:,:)=pression(5-e+10,:,:);
-      hgt=interp2(lon-180,lat,coco,xi,yi); 
+      hgt=interp2(lon-180,lat,coco,xi,yi);
        palette
-       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none'); 
+       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none');
         caxis([-20 20]);
        hold on;
@@ -566,10 +576,10 @@
        else
 set (gca,'XTick',[-60:20:120],'XTickLabel',[' ';' ';' ';' ';' ';' ';' ';' ';' ';' '],'fontsize',6);
-       end    
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';' 0 ';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 
        cartemonde1;
        if e==2;
-          co=colorbar;            
+          co=colorbar;
           set (co,'ytick',[-20:10:20],'yticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
@@ -583,9 +593,6 @@
        text(-150,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/6.1;
-       set (gca,'position',[0.2 pos_vert 0.4 1/6.1]) 
+       set (gca,'position',[0.2 pos_vert 0.4 1/6.1])
 end;
 
-print -depsc2 composite_wind925_EOF12_ER30100_part4.eps; 
-
-
-
+print -depsc2 composite_wind925_EOF12_ER30100_part4.eps;