Index: trunk/src/SIMULS_IRCAAM/palette.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/palette.m	(revision 18)
+++ 	(revision )
@@ -1,26 +1,0 @@
-%
-
-palette2=zeros(20,3);
-palette2(20,:)= [0.2 0 0];          % noir
-palette2(19,:)= [0.4 0 0];          % Marron foncé
-palette2(18,:)= [0.6 0 0];          % Marron rouge
-palette2(17,:)= [0.8 0 0];          % Rouge
-palette2(16,:)= [1 0 0];            % Rouge clair
-palette2(15,:)= [1 0.3 0];         % Orange rouge
-palette2(14,:)= [1 0.55 0];         % Orange rouge
-palette2(13,:)= [1 0.8 0];          % Orange
-palette2(12,:)= [1 1 1];        
-palette2(11,:) = [1 1 1];        % blanc
-palette2(10,:) = [1 1 1];        % blanc
-palette2(9,:) = [1 1 1];         
-%palette2(9,:) = [1 1 1];            % Vert
-palette2(8,:) = [0 1 0.7];          % Vert cyan
-palette2(7,:) = [0 1 1];            % Cyan
-palette2(6,:) = [0 0.8 1];          % Bleu clair
-palette2(5,:) = [0 0.6 1];          % Bleu clair
-palette2(4,:) = [0 0.4 1];          % Bleu
-palette2(3,:) = [0 0 1];            % Bleu
-palette2(2,:) = [0.6 0 1];          % Violet
-palette2(1,:) = [0.9 0 0.9];        % Mauve
-
-colormap(palette2);
Index: trunk/src/SIMULS_IRCAAM/palette1.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/palette1.m	(revision 18)
+++ 	(revision )
@@ -1,25 +1,0 @@
-%
-
-palette2=zeros(20,3);
-palette2(20,:)= [0.2 0 0];          % noir
-palette2(19,:)= [0.4 0 0];          % Marron foncé
-palette2(18,:)= [0.6 0 0];          % Marron rouge
-palette2(17,:)= [0.8 0 0];          % Rouge
-palette2(16,:)= [1 0 0];            % Rouge clair
-palette2(15,:)= [1 0.3 0];         % Orange rouge
-palette2(14,:)= [1 0.55 0];         % Orange rouge
-palette2(13,:)= [1 0.8 0];          % Orange
-palette2(12,:)= [1 1 0];            % Jaune
-palette2(11,:) = [0 1 0];            % Vert
-palette2(10,:) = [0 1 0.7];          % Vert cyan
-palette2(9,:) = [0 1 1];            % Cyan
-palette2(8,:) = [0 0.8 1];          % Bleu clair
-palette2(7,:) = [0 0.6 1];          % Bleu clair
-palette2(6,:) = [0 0.4 1];          % Bleu
-palette2(5,:) = [0 0 1];            % Bleu
-palette2(4,:) = [0.6 0 1];          % Violet
-palette2(3,:) = [0.9 0 0.9];        % Mauve
-palette2(2,:) = [1 1 1];        % blanc
-palette2(1,:) = [1 1 1];        % blanc
-
-colormap(palette2);
Index: trunk/src/SIMULS_IRCAAM/palettecomplet.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/palettecomplet.m	(revision 18)
+++ 	(revision )
@@ -1,27 +1,0 @@
-%
-
-palette2=zeros(20,3);
-palette2(20,:)= [0.2 0 0];          % noir
-palette2(19,:)= [0.4 0 0];          % Marron foncé
-palette2(18,:)= [0.6 0 0];          % Marron rouge
-palette2(17,:)= [0.8 0 0];          % Rouge
-palette2(16,:)= [1 0 0];            % Rouge clair
-palette2(15,:)= [1 0.3 0];         % Orange rouge
-palette2(14,:)= [1 0.55 0];         % Orange rouge
-palette2(13,:)= [1 0.8 0];          % Orange
-palette2(12,:)= [1 1 0];            % Jaune
-%palette2(12,:)= [1 1 1];            % Jaune
-palette2(11,:) = [1 1 1];        % blanc
-palette2(10,:) = [1 1 1];        % blanc
-palette2(9,:) = [0 1 0];            % Vert
-%palette2(9,:) = [1 1 1];            % Vert
-palette2(8,:) = [0 1 0.7];          % Vert cyan
-palette2(7,:) = [0 1 1];            % Cyan
-palette2(6,:) = [0 0.8 1];          % Bleu clair
-palette2(5,:) = [0 0.6 1];          % Bleu clair
-palette2(4,:) = [0 0.4 1];          % Bleu
-palette2(3,:) = [0 0 1];            % Bleu
-palette2(2,:) = [0.6 0 1];          % Violet
-palette2(1,:) = [0.9 0 0.9];        % Mauve
-
-colormap(palette2);
Index: trunk/src/mode_sahelien/palette.m
===================================================================
--- trunk/src/mode_sahelien/palette.m	(revision 18)
+++ 	(revision )
@@ -1,27 +1,0 @@
-%
-
-palette2=zeros(20,3);
-palette2(20,:)= [0.2 0 0];          % noir
-palette2(19,:)= [0.4 0 0];          % Marron foncé
-palette2(18,:)= [0.6 0 0];          % Marron rouge
-palette2(17,:)= [0.8 0 0];          % Rouge
-palette2(16,:)= [1 0 0];            % Rouge clair
-palette2(15,:)= [1 0.3 0];         % Orange rouge
-palette2(14,:)= [1 0.55 0];         % Orange rouge
-palette2(13,:)= [1 0.8 0];          % Orange
-palette2(12,:)= [1 1 0];            % Jaune
-%palette2(12,:)= [1 1 1];            % Jaune
-palette2(11,:) = [1 1 1];        % blanc
-palette2(10,:) = [1 1 1];        % blanc
-palette2(9,:) = [0 1 0];            % Vert
-%palette2(9,:) = [1 1 1];            % Vert
-palette2(8,:) = [0 1 0.7];          % Vert cyan
-palette2(7,:) = [0 1 1];            % Cyan
-palette2(6,:) = [0 0.8 1];          % Bleu clair
-palette2(5,:) = [0 0.6 1];          % Bleu clair
-palette2(4,:) = [0 0.4 1];          % Bleu
-palette2(3,:) = [0 0 1];            % Bleu
-palette2(2,:) = [0.6 0 1];          % Violet
-palette2(1,:) = [0.9 0 0.9];        % Mauve
-
-colormap(palette2);
Index: trunk/src/mode_sahelien/palette3.m
===================================================================
--- trunk/src/mode_sahelien/palette3.m	(revision 18)
+++ 	(revision )
@@ -1,25 +1,0 @@
-%
-
-palette2=zeros(16,3);
-%palette2(20,:)= [0.2 0 0];          % noir
-%palette2(19,:)= [0.4 0 0];          % Marron foncé
-%palette2(18,:)= [0.6 0 0];          % Marron rouge
-%palette2(17,:)= [0.8 0 0];          % Rouge
-palette2(16,:)= [1 0 0];            % Rouge clair
-palette2(15,:)= [1 0.3 0];         % Orange rouge
-palette2(14,:)= [1 0.55 0];         % Orange rouge
-palette2(13,:)= [1 0.8 0];          % Orange
-palette2(12,:)= [1 1 0];            % Jaune
-palette2(11,:) = [0 1 0];            % Vert
-palette2(10,:) = [0 1 0.7];          % Vert cyan
-palette2(9,:) = [0 1 1];            % Cyan
-palette2(8,:) = [0 0.8 1];          % Bleu clair
-palette2(7,:) = [0 0.6 1];          % Bleu clair
-palette2(6,:) = [0 0.4 1];          % Bleu
-palette2(5,:) = [0 0 1];            % Bleu
-palette2(4,:) = [0.6 0 1];          % Violet
-palette2(3,:) = [0.9 0 0.9];        % Mauve
-palette2(2,:) = [1 1 1];        % blanc
-palette2(1,:) = [1 1 1];        % blanc
-
-colormap(palette2);
Index: trunk/src/mode_sahelien/palettejerome30.m
===================================================================
--- trunk/src/mode_sahelien/palettejerome30.m	(revision 18)
+++ 	(revision )
@@ -1,34 +1,0 @@
-%
-palette=zeros(20,3);
-palette(20,:)= [0.3 0 0];  % noir
-palette(19,:)= [0.5 0 0];  % Marron fonce ï¿œ
-palette(18,:)= [0.7 0 0];  % Marron rouge
-palette(17,:)= [0.9 0 0];  % Rouge
-palette(16,:)= [1 0 0];% Rouge clair
-palette(15,:)= [1 0.3 0];% Rouge clair
-palette(14,:)= [1 0.55 0]; % Orange rouge
-palette(13,:)= [1 0.8 0];  % Orange
-palette(12,:)= [1 1 0];% Jaune
-palette(11,:)= [1 1 0.5];  % Jaune vert
-palette(10,:)= [0.5 1 0.5];% blanc
-palette(9,:) = [0 1 0];% Vert
-palette(8,:) = [0 1 0.7];  % Vert cyan
-palette(7,:) = [0 1 1];% Cyan
-palette(6,:) = [0 0.8 1];  % Bleu clair
-palette(5,:) = [0 0.6 1];  % Bleu clair
-palette(4,:) = [0 0.4 1];  % Bleu
-palette(3,:) = [0 0 1];% Bleu
-palette(2,:) = [0.6 0 1];  % Violet
-palette(1,:) = [0.9 0 0.9];% Mauve
-
-x=[1:1:3];
-x=x';
-y=[1:1:20];
-xi=[1:1:3];
-xi=xi';
-yi=[1:0.48717:20];
-palette30=interp2(x,y,palette,xi,yi);
-palette30(20,:)=[1 1 1];
-palette30(21,:)=[1 1 1];
-clear palette;
-palette=palette30;
Index: trunk/src/palette.m
===================================================================
--- trunk/src/palette.m	(revision 19)
+++ trunk/src/palette.m	(revision 19)
@@ -0,0 +1,27 @@
+%
+
+palette2=zeros(20,3);
+palette2(20,:)= [0.2 0 0];          % noir
+palette2(19,:)= [0.4 0 0];          % Marron foncé
+palette2(18,:)= [0.6 0 0];          % Marron rouge
+palette2(17,:)= [0.8 0 0];          % Rouge
+palette2(16,:)= [1 0 0];            % Rouge clair
+palette2(15,:)= [1 0.3 0];         % Orange rouge
+palette2(14,:)= [1 0.55 0];         % Orange rouge
+palette2(13,:)= [1 0.8 0];          % Orange
+palette2(12,:)= [1 1 0];            % Jaune
+%palette2(12,:)= [1 1 1];            % Jaune
+palette2(11,:) = [1 1 1];        % blanc
+palette2(10,:) = [1 1 1];        % blanc
+palette2(9,:) = [0 1 0];            % Vert
+%palette2(9,:) = [1 1 1];            % Vert
+palette2(8,:) = [0 1 0.7];          % Vert cyan
+palette2(7,:) = [0 1 1];            % Cyan
+palette2(6,:) = [0 0.8 1];          % Bleu clair
+palette2(5,:) = [0 0.6 1];          % Bleu clair
+palette2(4,:) = [0 0.4 1];          % Bleu
+palette2(3,:) = [0 0 1];            % Bleu
+palette2(2,:) = [0.6 0 1];          % Violet
+palette2(1,:) = [0.9 0 0.9];        % Mauve
+
+colormap(palette2);
Index: trunk/src/palette1.m
===================================================================
--- trunk/src/palette1.m	(revision 19)
+++ trunk/src/palette1.m	(revision 19)
@@ -0,0 +1,25 @@
+%
+
+palette2=zeros(20,3);
+palette2(20,:)= [0.2 0 0];          % noir
+palette2(19,:)= [0.4 0 0];          % Marron foncé
+palette2(18,:)= [0.6 0 0];          % Marron rouge
+palette2(17,:)= [0.8 0 0];          % Rouge
+palette2(16,:)= [1 0 0];            % Rouge clair
+palette2(15,:)= [1 0.3 0];         % Orange rouge
+palette2(14,:)= [1 0.55 0];         % Orange rouge
+palette2(13,:)= [1 0.8 0];          % Orange
+palette2(12,:)= [1 1 0];            % Jaune
+palette2(11,:) = [0 1 0];            % Vert
+palette2(10,:) = [0 1 0.7];          % Vert cyan
+palette2(9,:) = [0 1 1];            % Cyan
+palette2(8,:) = [0 0.8 1];          % Bleu clair
+palette2(7,:) = [0 0.6 1];          % Bleu clair
+palette2(6,:) = [0 0.4 1];          % Bleu
+palette2(5,:) = [0 0 1];            % Bleu
+palette2(4,:) = [0.6 0 1];          % Violet
+palette2(3,:) = [0.9 0 0.9];        % Mauve
+palette2(2,:) = [1 1 1];        % blanc
+palette2(1,:) = [1 1 1];        % blanc
+
+colormap(palette2);
Index: trunk/src/palette3.m
===================================================================
--- trunk/src/palette3.m	(revision 19)
+++ trunk/src/palette3.m	(revision 19)
@@ -0,0 +1,25 @@
+%
+
+palette2=zeros(16,3);
+%palette2(20,:)= [0.2 0 0];          % noir
+%palette2(19,:)= [0.4 0 0];          % Marron foncé
+%palette2(18,:)= [0.6 0 0];          % Marron rouge
+%palette2(17,:)= [0.8 0 0];          % Rouge
+palette2(16,:)= [1 0 0];            % Rouge clair
+palette2(15,:)= [1 0.3 0];         % Orange rouge
+palette2(14,:)= [1 0.55 0];         % Orange rouge
+palette2(13,:)= [1 0.8 0];          % Orange
+palette2(12,:)= [1 1 0];            % Jaune
+palette2(11,:) = [0 1 0];            % Vert
+palette2(10,:) = [0 1 0.7];          % Vert cyan
+palette2(9,:) = [0 1 1];            % Cyan
+palette2(8,:) = [0 0.8 1];          % Bleu clair
+palette2(7,:) = [0 0.6 1];          % Bleu clair
+palette2(6,:) = [0 0.4 1];          % Bleu
+palette2(5,:) = [0 0 1];            % Bleu
+palette2(4,:) = [0.6 0 1];          % Violet
+palette2(3,:) = [0.9 0 0.9];        % Mauve
+palette2(2,:) = [1 1 1];        % blanc
+palette2(1,:) = [1 1 1];        % blanc
+
+colormap(palette2);
Index: trunk/src/palettecomplet.m
===================================================================
--- trunk/src/palettecomplet.m	(revision 19)
+++ trunk/src/palettecomplet.m	(revision 19)
@@ -0,0 +1,27 @@
+%
+
+palette2=zeros(20,3);
+palette2(20,:)= [0.2 0 0];          % noir
+palette2(19,:)= [0.4 0 0];          % Marron foncé
+palette2(18,:)= [0.6 0 0];          % Marron rouge
+palette2(17,:)= [0.8 0 0];          % Rouge
+palette2(16,:)= [1 0 0];            % Rouge clair
+palette2(15,:)= [1 0.3 0];         % Orange rouge
+palette2(14,:)= [1 0.55 0];         % Orange rouge
+palette2(13,:)= [1 0.8 0];          % Orange
+palette2(12,:)= [1 1 0];            % Jaune
+%palette2(12,:)= [1 1 1];            % Jaune
+palette2(11,:) = [1 1 1];        % blanc
+palette2(10,:) = [1 1 1];        % blanc
+palette2(9,:) = [0 1 0];            % Vert
+%palette2(9,:) = [1 1 1];            % Vert
+palette2(8,:) = [0 1 0.7];          % Vert cyan
+palette2(7,:) = [0 1 1];            % Cyan
+palette2(6,:) = [0 0.8 1];          % Bleu clair
+palette2(5,:) = [0 0.6 1];          % Bleu clair
+palette2(4,:) = [0 0.4 1];          % Bleu
+palette2(3,:) = [0 0 1];            % Bleu
+palette2(2,:) = [0.6 0 1];          % Violet
+palette2(1,:) = [0.9 0 0.9];        % Mauve
+
+colormap(palette2);
Index: trunk/src/palettejerome30.m
===================================================================
--- trunk/src/palettejerome30.m	(revision 19)
+++ trunk/src/palettejerome30.m	(revision 19)
@@ -0,0 +1,34 @@
+%
+palette=zeros(20,3);
+palette(20,:)= [0.3 0 0];  % noir
+palette(19,:)= [0.5 0 0];  % Marron fonce ï¿œ
+palette(18,:)= [0.7 0 0];  % Marron rouge
+palette(17,:)= [0.9 0 0];  % Rouge
+palette(16,:)= [1 0 0];% Rouge clair
+palette(15,:)= [1 0.3 0];% Rouge clair
+palette(14,:)= [1 0.55 0]; % Orange rouge
+palette(13,:)= [1 0.8 0];  % Orange
+palette(12,:)= [1 1 0];% Jaune
+palette(11,:)= [1 1 0.5];  % Jaune vert
+palette(10,:)= [0.5 1 0.5];% blanc
+palette(9,:) = [0 1 0];% Vert
+palette(8,:) = [0 1 0.7];  % Vert cyan
+palette(7,:) = [0 1 1];% Cyan
+palette(6,:) = [0 0.8 1];  % Bleu clair
+palette(5,:) = [0 0.6 1];  % Bleu clair
+palette(4,:) = [0 0.4 1];  % Bleu
+palette(3,:) = [0 0 1];% Bleu
+palette(2,:) = [0.6 0 1];  % Violet
+palette(1,:) = [0.9 0 0.9];% Mauve
+
+x=[1:1:3];
+x=x';
+y=[1:1:20];
+xi=[1:1:3];
+xi=xi';
+yi=[1:0.48717:20];
+palette30=interp2(x,y,palette,xi,yi);
+palette30(20,:)=[1 1 1];
+palette30(21,:)=[1 1 1];
+clear palette;
+palette=palette30;