Index: /trunk/src/SIMULS_IRCAAM/prepare_hgt500_tr.m
===================================================================
--- /trunk/src/SIMULS_IRCAAM/prepare_hgt500_tr.m	(revision 29)
+++ /trunk/src/SIMULS_IRCAAM/prepare_hgt500_tr.m	(revision 30)
@@ -123,3 +123,3 @@
 hgt500(:,29,:,:)=vm; clear vm;
 
-status=save('hgt500_trop.mat','hgt500');
+save('hgt500_trop.mat','hgt500');
Index: /trunk/src/SIMULS_IRCAAM/time_serie_afr_1030.m
===================================================================
--- /trunk/src/SIMULS_IRCAAM/time_serie_afr_1030.m	(revision 29)
+++ /trunk/src/SIMULS_IRCAAM/time_serie_afr_1030.m	(revision 30)
@@ -24,6 +24,6 @@
 end;
 
-status=save('eof1_AFR_1030.txt','time_serie_olr1','-ASCII');
-status=save('eof2_AFR_1030.txt','time_serie_olr2','-ASCII');
+save('eof1_AFR_1030.txt','time_serie_olr1','-ASCII');
+save('eof2_AFR_1030.txt','time_serie_olr2','-ASCII');
 
 x=[1:3538]';
Index: /trunk/src/SIMULS_IRCAAM/time_serie_afr_30100.m
===================================================================
--- /trunk/src/SIMULS_IRCAAM/time_serie_afr_30100.m	(revision 29)
+++ /trunk/src/SIMULS_IRCAAM/time_serie_afr_30100.m	(revision 30)
@@ -23,6 +23,6 @@
 end;
 
-status=save('eof1_AFR_30100.txt','time_serie_olr1','-ASCII');
-status=save('eof2_AFR_30100.txt','time_serie_olr2','-ASCII');
+save('eof1_AFR_30100.txt','time_serie_olr1','-ASCII');
+save('eof2_AFR_30100.txt','time_serie_olr2','-ASCII');
 
 x=[1:3538]';
Index: /trunk/src/SIMULS_IRCAAM/time_serie_as_1030.m
===================================================================
--- /trunk/src/SIMULS_IRCAAM/time_serie_as_1030.m	(revision 29)
+++ /trunk/src/SIMULS_IRCAAM/time_serie_as_1030.m	(revision 30)
@@ -24,6 +24,6 @@
 end;
 
-status=save('eof1_AS_1030.txt','time_serie_olr1','-ASCII');
-status=save('eof2_AS_1030.txt','time_serie_olr2','-ASCII');
+save('eof1_AS_1030.txt','time_serie_olr1','-ASCII');
+save('eof2_AS_1030.txt','time_serie_olr2','-ASCII');
 
 x=[1:3538]';
Index: /trunk/src/SIMULS_IRCAAM/time_serie_as_30100.m
===================================================================
--- /trunk/src/SIMULS_IRCAAM/time_serie_as_30100.m	(revision 29)
+++ /trunk/src/SIMULS_IRCAAM/time_serie_as_30100.m	(revision 30)
@@ -24,6 +24,6 @@
 end;
 
-status=save('eof1_AS_30100.txt','time_serie_olr1','-ASCII');
-status=save('eof2_AS_30100.txt','time_serie_olr2','-ASCII');
+save('eof1_AS_30100.txt','time_serie_olr1','-ASCII');
+save('eof2_AS_30100.txt','time_serie_olr2','-ASCII');
 
 x=[1:3538]';
Index: /trunk/src/SIMULS_IRCAAM/time_serie_ctl_1030.m
===================================================================
--- /trunk/src/SIMULS_IRCAAM/time_serie_ctl_1030.m	(revision 29)
+++ /trunk/src/SIMULS_IRCAAM/time_serie_ctl_1030.m	(revision 30)
@@ -24,6 +24,6 @@
 end;
 
-status=save('eof1_CTL_1030.txt','time_serie_olr1','-ASCII');
-status=save('eof2_CTL_1030.txt','time_serie_olr2','-ASCII');
+save('eof1_CTL_1030.txt','time_serie_olr1','-ASCII');
+save('eof2_CTL_1030.txt','time_serie_olr2','-ASCII');
 
 x=[1:3538]';
Index: /trunk/src/SIMULS_IRCAAM/time_serie_ctl_30100.m
===================================================================
--- /trunk/src/SIMULS_IRCAAM/time_serie_ctl_30100.m	(revision 29)
+++ /trunk/src/SIMULS_IRCAAM/time_serie_ctl_30100.m	(revision 30)
@@ -23,6 +23,6 @@
 end;
 
-status=save('eof1_CTL_30100.txt','time_serie_olr1','-ASCII');
-status=save('eof2_CTL_30100.txt','time_serie_olr2','-ASCII');
+save('eof1_CTL_30100.txt','time_serie_olr1','-ASCII');
+save('eof2_CTL_30100.txt','time_serie_olr2','-ASCII');
 
 x=[1:3538]';
Index: /trunk/src/SIMULS_IRCAAM/time_serie_noaa_annuel.m
===================================================================
--- /trunk/src/SIMULS_IRCAAM/time_serie_noaa_annuel.m	(revision 29)
+++ /trunk/src/SIMULS_IRCAAM/time_serie_noaa_annuel.m	(revision 30)
@@ -33,7 +33,7 @@
 end;
 
-status=save('eof1_noaa_annuel.txt','time_serie_olr1','-ASCII');
-status=save('eof2_noaa_annuel.txt','time_serie_olr2','-ASCII');
-status=save('eof3_noaa_annuel.txt','time_serie_olr3','-ASCII');
+save('eof1_noaa_annuel.txt','time_serie_olr1','-ASCII');
+save('eof2_noaa_annuel.txt','time_serie_olr2','-ASCII');
+save('eof3_noaa_annuel.txt','time_serie_olr3','-ASCII');
 
 x=[1:28]';
Index: /trunk/src/SIMULS_IRCAAM/time_serie_noaa_annuel_20.m
===================================================================
--- /trunk/src/SIMULS_IRCAAM/time_serie_noaa_annuel_20.m	(revision 29)
+++ /trunk/src/SIMULS_IRCAAM/time_serie_noaa_annuel_20.m	(revision 30)
@@ -33,7 +33,7 @@
 end;
 
-status=save('eof1_noaa_annuel_20.txt','time_serie_olr1','-ASCII');
-status=save('eof2_noaa_annuel_20.txt','time_serie_olr2','-ASCII');
-status=save('eof3_noaa_annuel_20.txt','time_serie_olr3','-ASCII');
+save('eof1_noaa_annuel_20.txt','time_serie_olr1','-ASCII');
+save('eof2_noaa_annuel_20.txt','time_serie_olr2','-ASCII');
+save('eof3_noaa_annuel_20.txt','time_serie_olr3','-ASCII');
 
 x=[1:28]';
Index: /trunk/src/SIMULS_IRCAAM/time_serie_tr_1030.m
===================================================================
--- /trunk/src/SIMULS_IRCAAM/time_serie_tr_1030.m	(revision 29)
+++ /trunk/src/SIMULS_IRCAAM/time_serie_tr_1030.m	(revision 30)
@@ -24,6 +24,6 @@
 end;
 
-status=save('eof1_TR_1030.txt','time_serie_olr1','-ASCII');
-status=save('eof2_TR_1030.txt','time_serie_olr2','-ASCII');
+save('eof1_TR_1030.txt','time_serie_olr1','-ASCII');
+save('eof2_TR_1030.txt','time_serie_olr2','-ASCII');
 
 x=[1:3538]';
Index: /trunk/src/SIMULS_IRCAAM/time_serie_tr_30100.m
===================================================================
--- /trunk/src/SIMULS_IRCAAM/time_serie_tr_30100.m	(revision 29)
+++ /trunk/src/SIMULS_IRCAAM/time_serie_tr_30100.m	(revision 30)
@@ -24,6 +24,6 @@
 end;
 
-status=save('eof1_TR_30100.txt','time_serie_olr1','-ASCII');
-status=save('eof2_TR_30100.txt','time_serie_olr2','-ASCII');
+save('eof1_TR_30100.txt','time_serie_olr1','-ASCII');
+save('eof2_TR_30100.txt','time_serie_olr2','-ASCII');
 
 x=[1:3538]';
Index: /trunk/src/mode_sahelien/carte_eof234_jjas_1030.m
===================================================================
--- /trunk/src/mode_sahelien/carte_eof234_jjas_1030.m	(revision 29)
+++ /trunk/src/mode_sahelien/carte_eof234_jjas_1030.m	(revision 30)
@@ -157,5 +157,5 @@
 
 bar(x,vecteurs,'LineStyle','none')
-status=save('vecteurs_eof_1030.txt','vecteurs','-ASCII');
+save('vecteurs_eof_1030.txt','vecteurs','-ASCII');
 
 axis([0.5 20.5 0 25]);
Index: /trunk/src/mode_sahelien/carte_eof23_jjas_30100.m
===================================================================
--- /trunk/src/mode_sahelien/carte_eof23_jjas_30100.m	(revision 29)
+++ /trunk/src/mode_sahelien/carte_eof23_jjas_30100.m	(revision 30)
@@ -151,5 +151,5 @@
 end;
 x=[1:20]';
-status=save('vecteurs_eof_30100.txt','vecteurs','-ASCII');
+save('vecteurs_eof_30100.txt','vecteurs','-ASCII');
 bar(x,vecteurs,'LineStyle','none')
 
Index: /trunk/src/mode_sahelien/carte_eofER_1030_article.m
===================================================================
--- /trunk/src/mode_sahelien/carte_eofER_1030_article.m	(revision 29)
+++ /trunk/src/mode_sahelien/carte_eofER_1030_article.m	(revision 30)
@@ -104,5 +104,5 @@
 end;
 x=[1:20]';
-status=save('variance_expliquee_filtre_ER_1030j.txt','vecteurs','-ASCII');
+save('variance_expliquee_filtre_ER_1030j.txt','vecteurs','-ASCII');
 delete('variance_expliquee_filtre_ER_1030j.txt');
 
Index: /trunk/src/mode_sahelien/carte_eofER_30100_article.m
===================================================================
--- /trunk/src/mode_sahelien/carte_eofER_30100_article.m	(revision 29)
+++ /trunk/src/mode_sahelien/carte_eofER_30100_article.m	(revision 30)
@@ -106,5 +106,5 @@
 end;
 x=[1:20]';
-status=save('variance_expliquee_filtre_ER_30100j.txt','vecteurs','-ASCII');
+save('variance_expliquee_filtre_ER_30100j.txt','vecteurs','-ASCII');
 delete('variance_expliquee_filtre_ER_30100j.txt');
 
Index: /trunk/src/mode_sahelien/carte_eof_ER_jjas_1030.m
===================================================================
--- /trunk/src/mode_sahelien/carte_eof_ER_jjas_1030.m	(revision 29)
+++ /trunk/src/mode_sahelien/carte_eof_ER_jjas_1030.m	(revision 30)
@@ -121,5 +121,5 @@
 
 bar(x,vecteurs,'LineStyle','none')
-status=save('vecteurs_eof_ER1030.txt','vecteurs','-ASCII');
+save('vecteurs_eof_ER1030.txt','vecteurs','-ASCII');
 axis([0.5 20.5 0 25]);
 set (gca,'YTick',[0:5:25],'YTickLabel',[0:5:25],'fontname','Arial','fontsize',6);
Index: /trunk/src/mode_sahelien/carte_eof_ER_jjas_30100.m
===================================================================
--- /trunk/src/mode_sahelien/carte_eof_ER_jjas_30100.m	(revision 29)
+++ /trunk/src/mode_sahelien/carte_eof_ER_jjas_30100.m	(revision 30)
@@ -120,5 +120,5 @@
 
 bar(x,vecteurs,'LineStyle','none')
-status=save('vecteurs_eof_ER30100.txt','vecteurs','-ASCII');
+save('vecteurs_eof_ER30100.txt','vecteurs','-ASCII');
 axis([0.5 20.5 0 25]);
 set (gca,'YTick',[0:5:25],'YTickLabel',[0:5:25],'fontname','Arial','fontsize',6);
Index: /trunk/src/mode_sahelien/composite_hgt500_eof234_1025_3j.m
===================================================================
--- /trunk/src/mode_sahelien/composite_hgt500_eof234_1025_3j.m	(revision 29)
+++ /trunk/src/mode_sahelien/composite_hgt500_eof234_1025_3j.m	(revision 30)
@@ -338,6 +338,6 @@
 disp(['iii : compteurmin =', int2str(compteurmin)]);
 disp(['iii : compteurmax =', int2str(compteurmax)]);
-status=save('tablecompteurmin_pb.txt','tablecompteurmin','-ASCII');
-status=save('tablecompteurmax_pb.txt','tablecompteurmax','-ASCII');
+save('tablecompteurmin_pb.txt','tablecompteurmin','-ASCII');
+save('tablecompteurmax_pb.txt','tablecompteurmax','-ASCII');
 
 % on fait la somme des valeurs de hgt500_filtreentiel sur le nbre d occurences
Index: /trunk/src/mode_sahelien/composite_hgt700_EOF12_ER1030.m
===================================================================
--- /trunk/src/mode_sahelien/composite_hgt700_EOF12_ER1030.m	(revision 29)
+++ /trunk/src/mode_sahelien/composite_hgt700_EOF12_ER1030.m	(revision 30)
@@ -322,3 +322,3 @@
 print('-depsc2','composite_hgt700_EOF12_ER1030_part2.eps');
 
-status=save('pression_eof12_er1030.mat','pression;');
+save('pression_eof12_er1030.mat','pression;');
Index: /trunk/src/mode_sahelien/composite_hgt925_EOF12_ER1030.m
===================================================================
--- /trunk/src/mode_sahelien/composite_hgt925_EOF12_ER1030.m	(revision 29)
+++ /trunk/src/mode_sahelien/composite_hgt925_EOF12_ER1030.m	(revision 30)
@@ -322,3 +322,3 @@
 print('-depsc2','composite_hgt925_EOF12_ER1030_part2.eps');
 
-status=save('pression_eof12_er1030.mat','pression;');
+save('pression_eof12_er1030.mat','pression;');
Index: /trunk/src/mode_sahelien/composite_hgt925_EOF12_ER30100.m
===================================================================
--- /trunk/src/mode_sahelien/composite_hgt925_EOF12_ER30100.m	(revision 29)
+++ /trunk/src/mode_sahelien/composite_hgt925_EOF12_ER30100.m	(revision 30)
@@ -317,3 +317,3 @@
 print('-depsc2','composite_hgt925_EOF12_ER30100_part2.eps');
 
-status=save('pression_eof12_er30100.mat','pression;');
+save('pression_eof12_er30100.mat','pression;');
Index: /trunk/src/mode_sahelien/composite_hgt925_EOF23_30100.m
===================================================================
--- /trunk/src/mode_sahelien/composite_hgt925_EOF23_30100.m	(revision 29)
+++ /trunk/src/mode_sahelien/composite_hgt925_EOF23_30100.m	(revision 30)
@@ -284,3 +284,3 @@
 print('-depsc2','composite_hgt925_EOF23_30100_part2.eps');
 
-status=save('pression_eof23_30100.mat','pression;');
+save('pression_eof23_30100.mat','pression;');
Index: /trunk/src/mode_sahelien/composite_hgt925_eof23_2590.m
===================================================================
--- /trunk/src/mode_sahelien/composite_hgt925_eof23_2590.m	(revision 29)
+++ /trunk/src/mode_sahelien/composite_hgt925_eof23_2590.m	(revision 30)
@@ -287,3 +287,3 @@
 print('-depsc2','compo_hgt925_eof2590_part2.eps');
 
-status=save('pression.mat','pression;');
+save('pression.mat','pression;');
Index: /trunk/src/mode_sahelien/composite_hgt925_rossby.m
===================================================================
--- /trunk/src/mode_sahelien/composite_hgt925_rossby.m	(revision 29)
+++ /trunk/src/mode_sahelien/composite_hgt925_rossby.m	(revision 30)
@@ -277,3 +277,3 @@
 end;
 
-status=save('pression.mat','pression;');
+save('pression.mat','pression;');
Index: /trunk/src/mode_sahelien/composite_hgt925_sahel.m
===================================================================
--- /trunk/src/mode_sahelien/composite_hgt925_sahel.m	(revision 29)
+++ /trunk/src/mode_sahelien/composite_hgt925_sahel.m	(revision 30)
@@ -288,3 +288,3 @@
 print('-depsc2','compo_hgt700_sahel.eps');
 
-status=save('pression.mat','pression;');
+save('pression.mat','pression;');
Index: /trunk/src/mode_sahelien/lagged_correlations_eof2_eof3_1030.m
===================================================================
--- /trunk/src/mode_sahelien/lagged_correlations_eof2_eof3_1030.m	(revision 29)
+++ /trunk/src/mode_sahelien/lagged_correlations_eof2_eof3_1030.m	(revision 30)
@@ -162,11 +162,11 @@
 end;
 
-status=save('phase1.txt','phase1','-ASCII');
-status=save('phase2.txt','phase2','-ASCII');
-status=save('phase3.txt','phase3','-ASCII');
-status=save('phase4.txt','phase4','-ASCII');
+save('phase1.txt','phase1','-ASCII');
+save('phase2.txt','phase2','-ASCII');
+save('phase3.txt','phase3','-ASCII');
+save('phase4.txt','phase4','-ASCII');
 
-status=save('phase5.txt','phase5','-ASCII');
-status=save('phase6.txt','phase6','-ASCII');
-status=save('phase7.txt','phase7','-ASCII');
-status=save('phase8.txt','phase8','-ASCII');
+save('phase5.txt','phase5','-ASCII');
+save('phase6.txt','phase6','-ASCII');
+save('phase7.txt','phase7','-ASCII');
+save('phase8.txt','phase8','-ASCII');
Index: /trunk/src/mode_sahelien/prepare_olr_total.m
===================================================================
--- /trunk/src/mode_sahelien/prepare_olr_total.m	(revision 29)
+++ /trunk/src/mode_sahelien/prepare_olr_total.m	(revision 30)
@@ -150,4 +150,4 @@
 olr_total=olr;
 clear olr;
-status=save('olr_total.mat','olr_total;');
+save('olr_total.mat','olr_total;');
 clear;
Index: /trunk/src/mode_sahelien/reconstitution.m
===================================================================
--- /trunk/src/mode_sahelien/reconstitution.m	(revision 29)
+++ /trunk/src/mode_sahelien/reconstitution.m	(revision 30)
@@ -59,5 +59,5 @@
 cosa2=mean(cosa2);
 cosa2=cosa2';
-status=save('mode_rossby_jjas.txt','cosa2','-ASCII');
+save('mode_rossby_jjas.txt','cosa2','-ASCII');
 
 cosa2=reshape(cosa2,122,22);
Index: /trunk/src/mode_sahelien/reconstitution_1025.m
===================================================================
--- /trunk/src/mode_sahelien/reconstitution_1025.m	(revision 29)
+++ /trunk/src/mode_sahelien/reconstitution_1025.m	(revision 30)
@@ -63,5 +63,5 @@
 cosa23=mean(cosa23);
 cosa23=cosa23';
-status=save('eof23_1025.txt','cosa23','-ASCII');
+save('eof23_1025.txt','cosa23','-ASCII');
 cosa23=reshape(cosa23,122,28);
 
@@ -72,5 +72,5 @@
 cosa24=mean(cosa24);
 cosa24=cosa24';
-status=save('eof24_1025.txt','cosa24','-ASCII');
+save('eof24_1025.txt','cosa24','-ASCII');
 cosa24=reshape(cosa24,122,28);
 
Index: /trunk/src/mode_sahelien/reconstitution_1030.m
===================================================================
--- /trunk/src/mode_sahelien/reconstitution_1030.m	(revision 29)
+++ /trunk/src/mode_sahelien/reconstitution_1030.m	(revision 30)
@@ -63,5 +63,5 @@
 cosa23=mean(cosa23);
 cosa23=cosa23';
-status=save('eof23_1030.txt','cosa23','-ASCII');
+save('eof23_1030.txt','cosa23','-ASCII');
 cosa23=reshape(cosa23,122,28);
 
@@ -72,5 +72,5 @@
 cosa24=mean(cosa24);
 cosa24=cosa24';
-status=save('eof24_1030.txt','cosa24','-ASCII');
+save('eof24_1030.txt','cosa24','-ASCII');
 cosa24=reshape(cosa24,122,28);
 
Index: /trunk/src/mode_sahelien/reconstitution_30100_eof1.m
===================================================================
--- /trunk/src/mode_sahelien/reconstitution_30100_eof1.m	(revision 29)
+++ /trunk/src/mode_sahelien/reconstitution_30100_eof1.m	(revision 30)
@@ -58,5 +58,5 @@
 cosa1=mean(cosa1);
 cosa1=cosa1';
-status=save('eof1_30100.txt','cosa1','-ASCII');
+save('eof1_30100.txt','cosa1','-ASCII');
 cosa1=reshape(cosa1,122,28);
 
Index: /trunk/src/mode_sahelien/reconstitution_30100_eof23.m
===================================================================
--- /trunk/src/mode_sahelien/reconstitution_30100_eof23.m	(revision 29)
+++ /trunk/src/mode_sahelien/reconstitution_30100_eof23.m	(revision 30)
@@ -55,5 +55,5 @@
 cosa23=mean(cosa23);
 cosa23=cosa23';
-status=save('eof23_30100.txt','cosa23','-ASCII');
+save('eof23_30100.txt','cosa23','-ASCII');
 std23=std(cosa23);
 cosa23=cosa23/std23;
Index: /trunk/src/mode_sahelien/reconstitution_ER_rossby_1030.m
===================================================================
--- /trunk/src/mode_sahelien/reconstitution_ER_rossby_1030.m	(revision 29)
+++ /trunk/src/mode_sahelien/reconstitution_ER_rossby_1030.m	(revision 30)
@@ -58,5 +58,5 @@
 cosa12=mean(cosa12);
 cosa12=cosa12';
-status=save('eof12_rossby_1030.txt','cosa12','-ASCII');
+save('eof12_rossby_1030.txt','cosa12','-ASCII');
 cosa12=reshape(cosa12,122,28);
 
Index: /trunk/src/mode_sahelien/reconstitution_ER_rossby_30100.m
===================================================================
--- /trunk/src/mode_sahelien/reconstitution_ER_rossby_30100.m	(revision 29)
+++ /trunk/src/mode_sahelien/reconstitution_ER_rossby_30100.m	(revision 30)
@@ -58,5 +58,5 @@
 cosa12=mean(cosa12);
 cosa12=cosa12';
-status=save('eof12_rossby_30100.txt','cosa12','-ASCII');
+save('eof12_rossby_30100.txt','cosa12','-ASCII');
 cosa12=reshape(cosa12,122,28);
 
Index: /trunk/src/mode_sahelien/reconstitution_ER_rossby_30100_bis.m
===================================================================
--- /trunk/src/mode_sahelien/reconstitution_ER_rossby_30100_bis.m	(revision 29)
+++ /trunk/src/mode_sahelien/reconstitution_ER_rossby_30100_bis.m	(revision 30)
@@ -68,5 +68,5 @@
 cosa12=mean(cosa12);
 cosa12=cosa12';
-status=save('eof12_rossby_30100.txt','cosa12','-ASCII');
+save('eof12_rossby_30100.txt','cosa12','-ASCII');
 cosa12=reshape(cosa12,122,28);
 
Index: /trunk/src/mode_sahelien/time_serie_ER_rossby_1030.m
===================================================================
--- /trunk/src/mode_sahelien/time_serie_ER_rossby_1030.m	(revision 29)
+++ /trunk/src/mode_sahelien/time_serie_ER_rossby_1030.m	(revision 30)
@@ -39,5 +39,5 @@
 end;
 
-status=save('table_ER_1030.txt','table_ER_1030','-ASCII');
+save('table_ER_1030.txt','table_ER_1030','-ASCII');
 
 a=1;
Index: /trunk/src/mode_sahelien/time_serie_ER_rossby_30100.m
===================================================================
--- /trunk/src/mode_sahelien/time_serie_ER_rossby_30100.m	(revision 29)
+++ /trunk/src/mode_sahelien/time_serie_ER_rossby_30100.m	(revision 30)
@@ -39,5 +39,5 @@
 end;
 
-status=save('table_ER_30100.txt','table_ER_30100','-ASCII');
+save('table_ER_30100.txt','table_ER_30100','-ASCII');
 
 a=1;
Index: /trunk/src/mode_sahelien/time_serie_jjas.m
===================================================================
--- /trunk/src/mode_sahelien/time_serie_jjas.m	(revision 29)
+++ /trunk/src/mode_sahelien/time_serie_jjas.m	(revision 30)
@@ -26,7 +26,7 @@
 end;
 
-status=save('eof1_1030.txt','time_serie_olr1','-ASCII');
-status=save('eof2_1030.txt','time_serie_olr2','-ASCII');
-status=save('eof3_1030.txt','time_serie_olr3','-ASCII');
+save('eof1_1030.txt','time_serie_olr1','-ASCII');
+save('eof2_1030.txt','time_serie_olr2','-ASCII');
+save('eof3_1030.txt','time_serie_olr3','-ASCII');
 
 x=[1:3416]';
Index: /trunk/src/mode_sahelien/time_serie_jjas_10_25.m
===================================================================
--- /trunk/src/mode_sahelien/time_serie_jjas_10_25.m	(revision 29)
+++ /trunk/src/mode_sahelien/time_serie_jjas_10_25.m	(revision 30)
@@ -26,7 +26,7 @@
 end;
 
-status=save('eof1_olr_rossby_jjas_1025.txt','time_serie_olr1','-ASCII');
-status=save('eof2_olr_rossby_jjas_1025.txt','time_serie_olr2','-ASCII');
-status=save('eof3_olr_rossby_jjas_1025.txt','time_serie_olr3','-ASCII');
+save('eof1_olr_rossby_jjas_1025.txt','time_serie_olr1','-ASCII');
+save('eof2_olr_rossby_jjas_1025.txt','time_serie_olr2','-ASCII');
+save('eof3_olr_rossby_jjas_1025.txt','time_serie_olr3','-ASCII');
 
 x=[1:3416]';
Index: /trunk/src/mode_sahelien/time_serie_jjas_25_90.m
===================================================================
--- /trunk/src/mode_sahelien/time_serie_jjas_25_90.m	(revision 29)
+++ /trunk/src/mode_sahelien/time_serie_jjas_25_90.m	(revision 30)
@@ -26,7 +26,7 @@
 end;
 
-status=save('eof1_olr_rossby_jjas_2590.txt','time_serie_olr1','-ASCII');
-status=save('eof2_olr_rossby_jjas_2590.txt','time_serie_olr2','-ASCII');
-status=save('eof3_olr_rossby_jjas_2590.txt','time_serie_olr3','-ASCII');
+save('eof1_olr_rossby_jjas_2590.txt','time_serie_olr1','-ASCII');
+save('eof2_olr_rossby_jjas_2590.txt','time_serie_olr2','-ASCII');
+save('eof3_olr_rossby_jjas_2590.txt','time_serie_olr3','-ASCII');
 
 x=[1:3416]';
Index: /trunk/src/mode_sahelien/time_serie_jjas_30100.m
===================================================================
--- /trunk/src/mode_sahelien/time_serie_jjas_30100.m	(revision 29)
+++ /trunk/src/mode_sahelien/time_serie_jjas_30100.m	(revision 30)
@@ -26,7 +26,7 @@
 end;
 
-status=save('eof1_30100.txt','time_serie_olr1','-ASCII');
-status=save('eof2_30100.txt','time_serie_olr2','-ASCII');
-status=save('eof3_30100.txt','time_serie_olr3','-ASCII');
+save('eof1_30100.txt','time_serie_olr1','-ASCII');
+save('eof2_30100.txt','time_serie_olr2','-ASCII');
+save('eof3_30100.txt','time_serie_olr3','-ASCII');
 
 x=[1:3416]';