Index: /trunk/src/mode_sahelien/carte_eof_ER_jjas_1030.m
===================================================================
--- /trunk/src/mode_sahelien/carte_eof_ER_jjas_1030.m	(revision 32)
+++ /trunk/src/mode_sahelien/carte_eof_ER_jjas_1030.m	(revision 33)
@@ -1,3 +1,16 @@
 %
+
+%+
+%
+% EVOLUTIONS
+% ===========
+%
+% $Id$
+% 
+% - fplod 2009-01-27T12:37:01Z aedon.locean-ipsl.upmc.fr (Darwin)
+%
+%   * replaced by carte_eof_ER_jjas_df.m
+%
+%-
 
 clear;
Index: /trunk/src/mode_sahelien/carte_eof_ER_jjas_30100.m
===================================================================
--- /trunk/src/mode_sahelien/carte_eof_ER_jjas_30100.m	(revision 32)
+++ /trunk/src/mode_sahelien/carte_eof_ER_jjas_30100.m	(revision 33)
@@ -1,3 +1,17 @@
 %
+
+%+
+%
+% EVOLUTIONS
+% ===========
+%
+% $Id$
+%
+% - fplod 2009-01-27T12:37:01Z aedon.locean-ipsl.upmc.fr (Darwin)
+%
+%   * replaced by carte_eof_ER_jjas_df.m
+%
+%-
+
 clear;
 status=load('eof_rossby_jjas_2006_30100.mat','C','L');
Index: /trunk/src/mode_sahelien/carte_eof_ER_jjas_df.m
===================================================================
--- /trunk/src/mode_sahelien/carte_eof_ER_jjas_df.m	(revision 33)
+++ /trunk/src/mode_sahelien/carte_eof_ER_jjas_df.m	(revision 33)
@@ -0,0 +1,226 @@
+function carte_eof_ER_jjas_df(ndmin, ndmax)
+% carte_eof_ER_jjas_df ++explication between ndmin days and ndmax days
+
+%+
+% module
+% ======
+%
+% ++
+%
+% DESCRIPTION
+% ===========
+%
+% plot ++ from file eof_rossby_jjas_2006_10-30d.mat
+%
+% EXAMPLES
+% ========
+%
+% Following line read eof_rossby_jjas_2006_10-30d.mat, plot ++and 
+% produce a PostScript file resultats_eof_jjas_2006_10-30d.eps  and a 
+% vecteurs_eof_ER10-30d.txt file
+% ::
+%
+% >> carte_eof_ER_jjas_df(10,30);
+%
+% SEE ALSO
+% ========
+%
+% olr_eof_jjas2006_rossby_1030.m_
+%
+% .. _olr_eof_jjas2006_rossby_1030.m : olr_eof_jjas2006_rossby_1030.m.html
+%
+% carte_eofER_1030_article.m_
+%
+% .. _carte_eofER_1030_article.m : carte_eofER_1030_article.m.html
+%
+% time_serie_ER_rossby_df.m_
+%
+% .. _time_serie_ER_rossby_df.m : time_serie_ER_rossby_df.m.html
+%
+% time_serie_ER_rossby_df_complet.m_
+%
+% .. _time_serie_ER_rossby_df_complet.m : time_serie_ER_rossby_df_complet.m.html
+%
+% TODO
+% ====
+%
+% improve description
+%
+% improve file pb
+%
+% use return function
+%
+% clean variables and plot
+%
+% find where ``vecteurs_eof_ER??-??d30.txt`` are used
+%
+% EVOLUTIONS
+% ==========
+%
+% $Id$
+%
+% - fplod 2009-01-27T12:39:15Z aedon.locean-ipsl.upmc.fr (Darwin)
+%
+%   * created from carte_eof_ER_jjas_1030.m to replace it as well as
+%     carte_eof_ER_jjas_30100.m
+%
+%     Days will be now written ``ndmin``\-``ndmaxd`` (ex: 10-30d) in filenames.
+%
+%-
+
+global IRCAAM_ID;
+global IRCAAM_OD;
+
+if nargin==2
+ % ndmin must be lower than ndmax
+ if (ndmin > ndmax)
+  disp(['ndmin = ', int2str(ndmin)]);
+  disp(['ndmax = ', int2str(ndmax)]);
+  error('eee : ndmin must be lower than ndmax');
+ end
+else
+  usage='usage : time_serie_ER_rossby_df(ndmin, ndmax)';
+  disp(usage);
+  error('eee : wrong arguments numbers')
+end
+
+% ndmin and ndmax will be used in xx-yyd form in filenames
+df = [int2str(ndmin),'-',int2str(ndmax),'d'];
+clear ndmin;
+clear ndmax;
+
+fullfilename=[IRCAAM_ID,'eof_rossby_jjas_2006_',df,'.mat'];
+status=load(fullfilename,'C','L');
+clear fullfilename;
+
+C=status.C;
+L=status.L;
+clear status;
+
+carte1=C(:,425);
+
+carte=reshape(carte1,25,17);
+carte=carte';
+
+clear carte1;
+% defintion des lat et lon
+lon=[-30:2.5:30]';
+lat=[-10:2.5:30];
+
+figure(1);
+orient('landscape');
+subplot(3,2,1);
+palette;
+for a=1:17;
+    for b=1:25;
+        if carte(a,b)>0.2;
+            carte(a,b)=0.2;
+        elseif carte(a,b)<-0.2;
+            carte(a,b)=-0.2;
+        end;
+    end;
+end;
+carte(1,1)=-0.2001;
+carte(1,2)=0.2001;
+
+contourf(lon,lat,-carte,[-0.2:0.02:0.2],'LineStyle','none');
+colorbar;
+title('OLR EOF1','Fontsize',8);
+hold on;
+cartemonde;
+set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
+set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
+set (gca,'tickDir','out');
+
+clear carte1 x y a b carte coco;
+carte1=C(:,424);
+carte=reshape(carte1,25,17);
+carte=carte';
+
+clear carte1;
+lon=[-30:2.5:30]';
+lat=[-10:2.5:30];
+
+subplot(3,2,3);
+palette;
+for a=1:17;
+    for b=1:25;
+        if carte(a,b)>0.2;
+            carte(a,b)=0.2;
+        elseif carte(a,b)<-0.2;
+            carte(a,b)=-0.2;
+        end;
+    end;
+end;
+carte(1,1)=-0.2001;
+carte(1,2)=0.2001;
+
+contourf(lon,lat,carte,[-0.2:0.02:0.2],'LineStyle','none');
+colorbar;
+
+title('OLR EOF2','Fontsize',8);
+hold on;
+cartemonde;
+set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
+set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
+set (gca,'tickDir','out');
+
+clear carte1 x y a b carte coco;
+carte1=C(:,423);
+carte=reshape(carte1,25,17);
+carte=carte';
+clear carte1;
+
+% defintion des lat et lon
+lon=[-30:2.5:30]';
+lat=[-10:2.5:30];
+
+subplot(3,2,5);
+palette;
+for a=1:17;
+    for b=1:25;
+        if carte(a,b)>0.2;
+            carte(a,b)=0.2;
+        elseif carte(a,b)<-0.2;
+            carte(a,b)=-0.2;
+        end;
+    end;
+end;
+carte(1,1)=-0.2001;
+carte(1,2)=0.2001;
+
+contourf(lon,lat,-carte,[-0.2:0.02:0.2],'LineStyle','none');
+colorbar;
+title('OLR EOF3','Fontsize',8);
+hold on;
+cartemonde;
+set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
+set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
+set (gca,'tickDir','out');
+
+subplot(3,2,2);
+vaude=0;
+for a=1:425;
+   vaude=vaude+L(a,a);
+end;
+vecteurs=zeros(20,1);
+for a=1:20;
+   b=425-(a-1);
+   vecteurs(a)=100*(L(b,b)/vaude);
+end;
+x=[1:20]';
+
+bar(x,vecteurs,'LineStyle','none')
+
+fullfilename=[IRCAAM_OD,'vecteurs_eof_ER',df,'.txt'];
+save(fullfilename,'vecteurs','-ASCII');
+clear fullfilename;
+
+axis([0.5 20.5 0 25]);
+set (gca,'YTick',[0:5:25],'YTickLabel',[0:5:25],'fontname','Arial','fontsize',6);
+set (gca,'XTick',[2:2:20],'XTickLabel',[2:2:20],'fontname','Arial','fontsize',6);
+set (gca,'tickDir','out');
+
+fullfilename=[IRCAAM_OD,'resultats_eof_jjas_2006_',df,'.eps'];
+print('-depsc2',fullfilename);
+clear fullfilename;
Index: /trunk/src/mode_sahelien/time_serie_ER_rossby_df.m
===================================================================
--- /trunk/src/mode_sahelien/time_serie_ER_rossby_df.m	(revision 32)
+++ /trunk/src/mode_sahelien/time_serie_ER_rossby_df.m	(revision 33)
@@ -32,7 +32,7 @@
 % .. _carte_eofER_1030_article.m : carte_eofER_1030_article.m.html
 %
-% carte_eof_ER_jjas_1030.m_
+% carte_eof_ER_jjas_df.m_
 %
-% .. _carte_eof_ER_jjas_1030.m : carte_eof_ER_jjas_1030.m.html
+% .. _carte_eof_ER_jjas_df.m : carte_eof_ER_jjas_df.m.html
 %
 % time_serie_ER_rossby_df_complet.m_
@@ -49,5 +49,5 @@
 % use return function
 %
-% find where table_ER_??-??d.txt are used
+% find where ``table_ER_??-??d.txt`` are used
 %
 % EVOLUTIONS
@@ -60,5 +60,6 @@
 %   * created from time_serie_ER_rossby_1030.m to replace it as well as
 %     time_serie_ER_rossby_30100.m
-%     days will be now written ``ndmin``\-``ndmaxd`` (ex: 10-30d) in filenames
+%
+%     Days will be now written ``ndmin``\-``ndmaxd`` (ex: 10-30d) in filenames.
 %
 %-
Index: /trunk/src/mode_sahelien/time_serie_ER_rossby_df_complet.m
===================================================================
--- /trunk/src/mode_sahelien/time_serie_ER_rossby_df_complet.m	(revision 32)
+++ /trunk/src/mode_sahelien/time_serie_ER_rossby_df_complet.m	(revision 33)
@@ -32,7 +32,7 @@
 % .. _carte_eofER_1030_article.m : carte_eofER_1030_article.m.html
 %
-% carte_eof_ER_jjas_1030.m_
+% carte_eof_ER_jjas_df.m_
 %
-% .. _carte_eof_ER_jjas_1030.m : carte_eof_ER_jjas_1030.m.html
+% .. _carte_eof_ER_jjas_df.m : carte_eof_ER_jjas_df.m.html
 %
 % time_serie_ER_rossby_df.m_
@@ -44,5 +44,7 @@
 %
 % improve description
+%
 % improve file pb
+%
 % use return function
 %
@@ -54,5 +56,6 @@
 %   * created from time_serie_ER_rossby_1030_complet.m to replace it as well as
 %     time_serie_ER_rossby_30100_complet.m
-%     days will be now written ``ndmin``\-``ndmaxd`` (ex: 10-30d) in filenames
+%
+%     Days will be now written ``ndmin``\-``ndmaxd`` (ex: 10-30d) in filenames.
 %
 %-