Index: trunk/src/mode_sahelien/carte_eof_ER_jjas_df.m
===================================================================
--- trunk/src/mode_sahelien/carte_eof_ER_jjas_df.m	(revision 33)
+++ trunk/src/mode_sahelien/carte_eof_ER_jjas_df.m	(revision 34)
@@ -26,7 +26,7 @@
 % ========
 %
-% olr_eof_jjas2006_rossby_1030.m_
-%
-% .. _olr_eof_jjas2006_rossby_1030.m : olr_eof_jjas2006_rossby_1030.m.html
+% olr_eof_jjas2006_rossby_df.m_
+%
+% .. _olr_eof_jjas2006_rossby_df.m : olr_eof_jjas2006_rossby_df.m.html
 %
 % carte_eofER_1030_article.m_
Index: trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_1025.m
===================================================================
--- trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_1025.m	(revision 33)
+++ trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_1025.m	(revision 34)
@@ -1,3 +1,17 @@
 %
+
+%+
+%
+% EVOLUTIONS
+% ===========
+%
+% $Id$
+% 
+% - fplod 2009-01-27T13:32:42Z aedon.locean-ipsl.upmc.fr (Darwin)
+%
+%   * replaced by olr_eof_jjas2006_rossby_df.m
+%
+%-
+
 
 %%%%%%%%%%%%%%% FICHIER OLR
Index: trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_1030.m
===================================================================
--- trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_1030.m	(revision 33)
+++ trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_1030.m	(revision 34)
@@ -1,3 +1,16 @@
 %
+
+%+
+%
+% EVOLUTIONS
+% ===========
+%
+% $Id$
+%
+% - fplod 2009-01-27T13:32:42Z aedon.locean-ipsl.upmc.fr (Darwin)
+%
+%   * replaced by olr_eof_jjas2006_rossby_df.m
+%
+%-
 
 %%%%%%%%%%%%%%% FICHIER OLR
Index: trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_2590.m
===================================================================
--- trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_2590.m	(revision 33)
+++ trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_2590.m	(revision 34)
@@ -1,3 +1,16 @@
 %
+
+%+
+%
+% EVOLUTIONS
+% ===========
+%
+% $Id$
+%
+% - fplod 2009-01-27T13:32:42Z aedon.locean-ipsl.upmc.fr (Darwin)
+%
+%   * replaced by olr_eof_jjas2006_rossby_df.m
+%
+%-
 
 %%%%%%%%%%%%%%% FICHIER OLR
Index: trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_30100.m
===================================================================
--- trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_30100.m	(revision 33)
+++ trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_30100.m	(revision 34)
@@ -1,3 +1,16 @@
 %
+
+%+
+%
+% EVOLUTIONS
+% ===========
+%
+% $Id$
+%
+% - fplod 2009-01-27T13:32:42Z aedon.locean-ipsl.upmc.fr (Darwin)
+%
+%   * replaced by olr_eof_jjas2006_rossby_df.m
+%
+%-
 
 %%%%%%%%%%%%%%% FICHIER OLR
Index: trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_df.m
===================================================================
--- trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_df.m	(revision 34)
+++ trunk/src/mode_sahelien/olr_eof_jjas2006_rossby_df.m	(revision 34)
@@ -0,0 +1,223 @@
+function olr_eof_jjas2006_rossby_df(ndmin, ndmax)
+% olr_eof_jjas2006_rossby_df ++explication between ndmin days and ndmax days
+
+%+
+% module
+% ======
+%
+% ++
+%
+% DESCRIPTION
+% ===========
+%
+% plot ++ from file olrfilernew7900jjas_10-30d.dat
+% and produce a MATLAB file ++eof_rossby_jjas_2006_10-30d.mat
+%
+% EXAMPLES
+% ========
+%
+% Following line read olrfilernew7900jjas_1030.dat, produce a MATLAB file
+% eof_rossby_jjas_2006_10-30d.mat
+% ::
+%
+% >> olr_eof_jjas2006_rossby_df(10,30);
+%
+% SEE ALSO
+% ========
+%
+% carte_eof_ER_jjas_df.m_
+%
+% .. _carte_eof_ER_jjas_df.m : carte_eof_ER_jjas_df.m.html
+%
+% carte_eofER_1030_article.m_
+%
+% .. _carte_eofER_1030_article.m : carte_eofER_1030_article.m.html
+%
+% time_serie_ER_rossby_df.m_
+%
+% .. _time_serie_ER_rossby_df.m : time_serie_ER_rossby_df.m.html
+%
+% time_serie_ER_rossby_df_complet.m_
+%
+% .. _time_serie_ER_rossby_df_complet.m : time_serie_ER_rossby_df_complet.m.html
+%
+% TODO
+% ====
+%
+% improve description
+%
+% improve file pb
+%
+% use return function
+%
+% clean variables and plot
+%
+% EVOLUTIONS
+% ==========
+%
+% $Id$
+%
+% - fplod 2009-01-27T12:39:15Z aedon.locean-ipsl.upmc.fr (Darwin)
+%
+%   * created from olr_eof_jjas2006_rossby_1025.m to replace it as well as
+%     olr_eof_jjas2006_rossby_1030.m, olr_eof_jjas2006_rossby_2590.m and
+%     olr_eof_jjas2006_rossby_30100.m
+%
+%     Days will be now written ``ndmin``\-``ndmaxd`` (ex: 10-30d) in filenames.
+%
+%-
+
+global IRCAAM_ID;
+global IRCAAM_OD;
+
+if nargin==2
+ % ndmin must be lower than ndmax
+ if (ndmin > ndmax)
+  disp(['ndmin = ', int2str(ndmin)]);
+  disp(['ndmax = ', int2str(ndmax)]);
+  error('eee : ndmin must be lower than ndmax');
+ end
+else
+  usage='usage : time_serie_ER_rossby_df(ndmin, ndmax)';
+  disp(usage);
+  error('eee : wrong arguments numbers')
+end
+
+% ndmin and ndmax will be used in xx-yyd form in filenames
+df = [int2str(ndmin),'-',int2str(ndmax),'d'];
+clear ndmin;
+clear ndmax;
+
+close all;
+
+fullfilename=[IRCAAM_ID,'olrfilernew7900jjas_',df,'.dat'];
+fid=fopen(fullfilename);
+clear fullfilename;
+
+siz=144*25*10226;
+v=fread(fid,siz,'float');
+fclose(fid);
+v=reshape(v,144,25,10226);
+ind_olr=v(61:85,9:25,:);
+
+% selection des mois d ete
+% on selectionne les mois d ete (attention aux annees bixestiles!)
+
+siz1=31+28+31+30+31+1;
+siz1bis=31+28+31+30+31+30+31+31+30;
+a=siz1bis-siz1;
+%olr=zeros(144,28,25,122);
+olr=zeros(25,28,17,122);
+
+siz2=siz1+366; siz2bis=siz2+a; % 1980
+siz3=siz2+365; siz3bis=siz3+a; % 1981
+siz4=siz3+365; siz4bis=siz4+a; % 1982
+siz5=siz4+365; siz5bis=siz5+a; % 1983
+siz6=siz5+366; siz6bis=siz6+a; % 1984
+siz7=siz6+365; siz7bis=siz7+a; % 1985
+siz8=siz7+365; siz8bis=siz8+a; % 1986
+siz9=siz8+365; siz9bis=siz9+a; % 1987
+siz10=siz9+366; siz10bis=siz10+a; % 1988
+siz11=siz10+365; siz11bis=siz11+a; % 1989
+siz12=siz11+365; siz12bis=siz12+a; % 1990
+siz13=siz12+365; siz13bis=siz13+a; % 1991
+siz14=siz13+366; siz14bis=siz14+a; % 1992
+siz15=siz14+365; siz15bis=siz15+a; % 1993
+siz16=siz15+365; siz16bis=siz16+a; % 1994
+siz17=siz16+365; siz17bis=siz17+a; % 1995
+siz18=siz17+366; siz18bis=siz18+a; % 1996
+siz19=siz18+365; siz19bis=siz19+a; % 1997
+siz20=siz19+365; siz20bis=siz20+a; % 1998
+siz21=siz20+365; siz21bis=siz21+a; % 1999
+siz22=siz21+366; siz22bis=siz22+a; % 2000
+siz23=siz22+365; siz23bis=siz23+a; % 2001
+siz24=siz23+365; siz24bis=siz24+a; % 2002
+siz25=siz24+365; siz25bis=siz25+a; % 2003
+siz26=siz25+366; siz26bis=siz26+a; % 2004
+siz27=siz26+365; siz27bis=siz27+a; % 2005
+siz28=siz27+365; siz28bis=siz28+a; % 2006
+
+olr(:,1,:,:)=ind_olr(:,:,siz1:siz1bis); % 1979
+olr(:,2,:,:)=ind_olr(:,:,siz2:siz2bis); % 1980
+olr(:,3,:,:)=ind_olr(:,:,siz3:siz3bis); % 1981
+olr(:,4,:,:)=ind_olr(:,:,siz4:siz4bis); % 1982
+olr(:,5,:,:)=ind_olr(:,:,siz5:siz5bis); % 1983
+olr(:,6,:,:)=ind_olr(:,:,siz6:siz6bis); % 1984
+olr(:,7,:,:)=ind_olr(:,:,siz7:siz7bis); % 1985
+olr(:,8,:,:)=ind_olr(:,:,siz8:siz8bis); % 1986
+olr(:,9,:,:)=ind_olr(:,:,siz9:siz9bis); % 1987
+olr(:,10,:,:)=ind_olr(:,:,siz10:siz10bis); % 1988
+olr(:,11,:,:)=ind_olr(:,:,siz11:siz11bis); % 1989
+olr(:,12,:,:)=ind_olr(:,:,siz12:siz12bis); % 1990
+olr(:,13,:,:)=ind_olr(:,:,siz13:siz13bis); % 1991
+olr(:,14,:,:)=ind_olr(:,:,siz14:siz14bis); % 1992
+olr(:,15,:,:)=ind_olr(:,:,siz15:siz15bis); % 1993
+olr(:,16,:,:)=ind_olr(:,:,siz16:siz16bis); % 1994
+olr(:,17,:,:)=ind_olr(:,:,siz17:siz17bis); % 1995
+olr(:,18,:,:)=ind_olr(:,:,siz18:siz18bis); % 1996
+olr(:,19,:,:)=ind_olr(:,:,siz19:siz19bis); % 1997
+olr(:,20,:,:)=ind_olr(:,:,siz20:siz20bis); % 1998
+olr(:,21,:,:)=ind_olr(:,:,siz21:siz21bis); % 1999
+olr(:,22,:,:)=ind_olr(:,:,siz22:siz22bis); % 2000
+olr(:,23,:,:)=ind_olr(:,:,siz23:siz23bis); % 2001
+olr(:,24,:,:)=ind_olr(:,:,siz24:siz24bis); % 2002
+olr(:,25,:,:)=ind_olr(:,:,siz25:siz25bis); % 2003
+olr(:,26,:,:)=ind_olr(:,:,siz26:siz26bis); % 2004
+olr(:,27,:,:)=ind_olr(:,:,siz27:siz27bis); % 2005
+olr(:,28,:,:)=ind_olr(:,:,siz28:siz28bis); % 2006
+clear siz1 siz1bis;
+clear siz2 siz2bis;
+clear siz3 siz3bis;
+clear siz4 siz4bis;
+clear siz5 siz5bis;
+clear siz6 siz6bis;
+clear siz7 siz7bis;
+clear siz8 siz8bis;
+clear siz9 siz9bis;
+clear siz10 siz10bis;
+clear siz11 siz11bis;
+clear siz12 siz12bis;
+clear siz13 siz13bis;
+clear siz14 siz14bis;
+clear siz15 siz15bis;
+clear siz16 siz16bis;
+clear siz17 siz17bis;
+clear siz18 siz18bis;
+clear siz19 siz19bis;
+clear siz20 siz20bis;
+clear siz21 siz21bis;
+clear siz22 siz22bis;
+clear siz23 siz23bis;
+clear siz24 siz24bis;
+clear siz25 siz25bis;
+clear siz26 siz26bis;
+clear siz27 siz27bis;
+clear siz28 siz28bis;
+
+%olr=zeros(25,28,17,122);
+%olr=permute(olr,[1 3 2 4]);
+olr=permute(olr,[1 3 4 2]);
+
+olr=reshape(olr,425,3416);
+
+% calcul de la matrice de covariance
+vaudou=zeros(425,425);
+for a=1:425;
+    for b=1:425;
+      clear e d covaria;
+      e=olr(b,:);
+      d=olr(a,:);
+      covaria=cov(e,d);
+      vaudou(a,b)=covaria(2,1);
+    end;
+end;
+
+% on diagonalise la matrice de covariance
+[C,L]=eig(vaudou);
+
+% sauvegarde
+fullfilename=[IRCAAM_OD,'eof_rossby_jjas_2006_',df,'.mat'];
+delete(fullfilename);
+save(fullfilename,'C','L','olr');
+clear fullfilename;
+
Index: trunk/src/mode_sahelien/time_serie_ER_rossby_df.m
===================================================================
--- trunk/src/mode_sahelien/time_serie_ER_rossby_df.m	(revision 33)
+++ trunk/src/mode_sahelien/time_serie_ER_rossby_df.m	(revision 34)
@@ -24,7 +24,7 @@
 % ========
 %
-% olr_eof_jjas2006_rossby_1030.m_
+% olr_eof_jjas2006_rossby_df.m_
 %
-% .. _olr_eof_jjas2006_rossby_1030.m : olr_eof_jjas2006_rossby_1030.m.html
+% .. _olr_eof_jjas2006_rossby_df.m : olr_eof_jjas2006_rossby_df.m.html
 %
 % carte_eofER_1030_article.m_
Index: trunk/src/mode_sahelien/time_serie_ER_rossby_df_complet.m
===================================================================
--- trunk/src/mode_sahelien/time_serie_ER_rossby_df_complet.m	(revision 33)
+++ trunk/src/mode_sahelien/time_serie_ER_rossby_df_complet.m	(revision 34)
@@ -24,7 +24,7 @@
 % ========
 %
-% olr_eof_jjas2006_rossby_1030.m_
+% olr_eof_jjas2006_rossby_df.m_
 %
-% .. _olr_eof_jjas2006_rossby_1030.m : olr_eof_jjas2006_rossby_1030.m.html
+% .. _olr_eof_jjas2006_rossby_df.m : olr_eof_jjas2006_rossby_df.m.html
 %
 % carte_eofER_1030_article.m_