Index: /trunk/src/dlogd.sh
===================================================================
--- /trunk/src/dlogd.sh	(revision 71)
+++ /trunk/src/dlogd.sh	(revision 72)
@@ -2,8 +2,11 @@
 #+
 #
-# NAME
-# ====
+# ========
+# dlogd.sh
+# ========
 #
-# dlogd.sh - prompt for destruction of the most recent release of ${IRCAAM_LOG}/action.log. *YYYYMMDDTHHMMSSZ*
+# --------------------------------------------------------------------------------------------------
+# prompt for destruction of the most recent release of ${IRCAAM_LOG}/action.log.YYYYMMDDTHHMMSSZ
+# --------------------------------------------------------------------------------------------------
 #
 # SYNOPSIS
@@ -13,5 +16,4 @@
 #
 #  $ dlogd.sh action
-#
 #
 # DESCRIPTION
@@ -39,12 +41,4 @@
 #
 # .. _tlogd.sh : tlogd.sh.html
-#
-# FILES
-# =====
-#
-# original location
-# ~~~~~~~~~~~~~~~~~
-#
-# /usr/home/fplod/incas/ircaam/ircaam_ws/src/dlogd.sh sur cerbere.locean-ipsl.upmc.fr
 #
 # EVOLUTIONS
Index: /trunk/src/elogd.sh
===================================================================
--- /trunk/src/elogd.sh	(revision 71)
+++ /trunk/src/elogd.sh	(revision 72)
@@ -2,8 +2,11 @@
 #+
 #
-# NAME
-# ====
+# ========
+# elogd.sh
+# ========
 #
-# elogd.sh - edit the most recent ${IRCAAM_LOG}/action.log.\ *YYYYMMDDTHHMMSSZ*
+# ----------------------------------------------------------------
+# edit the most recent ${IRCAAM_LOG}/action.log.YYYYMMDDTHHMMSSZ
+# ----------------------------------------------------------------
 #
 # SYNOPSIS
@@ -39,12 +42,4 @@
 #
 # .. _tlogd.sh : tlogd.sh.html
-#
-# FILES
-# =====
-#
-# original location
-# ~~~~~~~~~~~~~~~~~
-#
-# /usr/home/fplod/incas/ircaam/ircaam_ws/src/elogd.sh sur cerbere.locean-ipsl.upmc.fr
 #
 # EVOLUTIONS
Index: /trunk/src/ircaam_profile.sh
===================================================================
--- /trunk/src/ircaam_profile.sh	(revision 71)
+++ /trunk/src/ircaam_profile.sh	(revision 72)
@@ -2,8 +2,11 @@
 #+
 #
-# NAME
-# ====
-#
-# ircaam_profile.sh - define IRCAAM environment
+# =================
+# ircaam_profile.sh
+# =================
+#
+# -------------------------
+# define IRCAAM environment
+# -------------------------
 #
 # SYNOPSIS
@@ -71,29 +74,19 @@
 #    -t /usr/temp/${LOGNAME}/log/
 #
-# FILES
-# =====
-#
-# original location
-# ~~~~~~~~~~~~~~~~~
-#
-# /usr/home/fplod/incas/ircaam/ircaam_ws/src/ircaam_profile.sh sur aedon.locean-ipsl.upmc.fr
-#
-#
 # TODO
 # ====
 #
+# ++ option bavarde
+#
+# ++ machine dependant
+#
+# ++ besoin de posix
+#
+# ++ pas de MANPATH defini par défaut sur zeus
+#
+# ++ climserv
 #
 # EVOLUTIONS
 # ==========
-#
-# ++ option bavarde
-#
-# ++ machine dependant
-#
-# ++ besoin de posix
-#
-# ++ pas de MANPATH defini par défaut sur zeus
-#
-# ++ climserv
 #
 # $Id$
Index: /trunk/src/plogd.sh
===================================================================
--- /trunk/src/plogd.sh	(revision 71)
+++ /trunk/src/plogd.sh	(revision 72)
@@ -2,8 +2,11 @@
 #+
 #
-# NAME
-# ====
+# ========
+# plogd.sh
+# ========
 #
-# plogd.sh - prints the most recent release of ${IRCAAM_LOG}/action.log.\ *YYYYMMDDTHHMMSSZ*
+# -----------------------------------------------------------------------------
+# prints the most recent release of ${IRCAAM_LOG}/action.log.YYYYMMDDTHHMMSSZ
+# -----------------------------------------------------------------------------
 #
 # SYNOPSIS
@@ -43,12 +46,4 @@
 #
 # .. _tlogd.sh : tlogd.sh.html
-#
-# FILES
-# =====
-#
-# original location
-# ~~~~~~~~~~~~~~~~~
-#
-# /usr/home/fplod/incas/ircaam/ircaam_ws/src/plogd.sh sur cerbere.locean-ipsl.upmc.fr
 #
 # EVOLUTIONS
Index: /trunk/src/refdataget.sh
===================================================================
--- /trunk/src/refdataget.sh	(revision 71)
+++ /trunk/src/refdataget.sh	(revision 72)
@@ -2,8 +2,11 @@
 #+
 #
-# NAME
-# ====
-#
-# refdataget.sh - get all reference data
+# =============
+# refdataget.sh
+# =============
+#
+# ----------------------
+# get all reference data
+# ----------------------
 #
 # SYNOPSIS
@@ -61,9 +64,4 @@
 #
 # .. _ircaam_profile.sh: ircaam_profile.sh.html
-#
-# FILES
-# =====
-#
-# /usr/home/fplod/incas/ircaam/ircaam_ws/src/refdataget.sh sur aedon.locean-ipsl.upmc.fr
 #
 # TODO
Index: /trunk/src/tlogd.sh
===================================================================
--- /trunk/src/tlogd.sh	(revision 71)
+++ /trunk/src/tlogd.sh	(revision 72)
@@ -2,8 +2,11 @@
 #+
 #
-# NAME
-# ====
+# ========
+# tlogd.sh
+# ========
 #
-# tlogd.sh -  shows the most recent release of ${IRCAAM_LOG}/action.log.\ *YYYYMMDDTHHMMSSZ*
+# ------------------------------------------------------------------------------
+# shows the most recent release of ${IRCAAM_LOG}/<action>.log.YYYYMMDDTHHMMSSZ
+# ------------------------------------------------------------------------------
 #
 # SYNOPSIS
@@ -40,12 +43,4 @@
 # .. _plogd.sh : plogd.sh.html
 #
-#
-# FILES
-# =====
-#
-# original location
-# ~~~~~~~~~~~~~~~~~
-#
-# /usr/home/fplod/incas/ircaam/ircaam_ws/src/tlogd.sh sur cerbere.locean-ipsl.upmc.fr
 #
 # EVOLUTIONS